<?php

namespace Symfony\Config\SonataMedia;

use Symfony\Component\Config\Loader\ParamConfigurator;
use Symfony\Component\Config\Definition\Exception\InvalidConfigurationException;

/**
 * This class is automatically generated to help in creating a config.
 */
class AdminFormatConfig 
{
    private $width;
    private $height;
    private $quality;
    private $format;
    private $constraint;
    private $resizer;
    private $resizerOptions;
    private $_usedProperties = [];

    /**
     * @default 200
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function width($value): self
    {
        $this->_usedProperties['width'] = true;
        $this->width = $value;

        return $this;
    }

    /**
     * @default null
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function height($value): self
    {
        $this->_usedProperties['height'] = true;
        $this->height = $value;

        return $this;
    }

    /**
     * @default 90
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function quality($value): self
    {
        $this->_usedProperties['quality'] = true;
        $this->quality = $value;

        return $this;
    }

    /**
     * @default 'jpg'
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function format($value): self
    {
        $this->_usedProperties['format'] = true;
        $this->format = $value;

        return $this;
    }

    /**
     * @default true
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function constraint($value): self
    {
        $this->_usedProperties['constraint'] = true;
        $this->constraint = $value;

        return $this;
    }

    /**
     * @default null
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function resizer($value): self
    {
        $this->_usedProperties['resizer'] = true;
        $this->resizer = $value;

        return $this;
    }

    /**
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function resizerOptions(string $name, $value): self
    {
        $this->_usedProperties['resizerOptions'] = true;
        $this->resizerOptions[$name] = $value;

        return $this;
    }

    public function __construct(array $value = [])
    {
        if (array_key_exists('width', $value)) {
            $this->_usedProperties['width'] = true;
            $this->width = $value['width'];
            unset($value['width']);
        }

        if (array_key_exists('height', $value)) {
            $this->_usedProperties['height'] = true;
            $this->height = $value['height'];
            unset($value['height']);
        }

        if (array_key_exists('quality', $value)) {
            $this->_usedProperties['quality'] = true;
            $this->quality = $value['quality'];
            unset($value['quality']);
        }

        if (array_key_exists('format', $value)) {
            $this->_usedProperties['format'] = true;
            $this->format = $value['format'];
            unset($value['format']);
        }

        if (array_key_exists('constraint', $value)) {
            $this->_usedProperties['constraint'] = true;
            $this->constraint = $value['constraint'];
            unset($value['constraint']);
        }

        if (array_key_exists('resizer', $value)) {
            $this->_usedProperties['resizer'] = true;
            $this->resizer = $value['resizer'];
            unset($value['resizer']);
        }

        if (array_key_exists('resizer_options', $value)) {
            $this->_usedProperties['resizerOptions'] = true;
            $this->resizerOptions = $value['resizer_options'];
            unset($value['resizer_options']);
        }

        if ([] !== $value) {
            throw new InvalidConfigurationException(sprintf('The following keys are not supported by "%s": ', __CLASS__).implode(', ', array_keys($value)));
        }
    }

    public function toArray(): array
    {
        $output = [];
        if (isset($this->_usedProperties['width'])) {
            $output['width'] = $this->width;
        }
        if (isset($this->_usedProperties['height'])) {
            $output['height'] = $this->height;
        }
        if (isset($this->_usedProperties['quality'])) {
            $output['quality'] = $this->quality;
        }
        if (isset($this->_usedProperties['format'])) {
            $output['format'] = $this->format;
        }
        if (isset($this->_usedProperties['constraint'])) {
            $output['constraint'] = $this->constraint;
        }
        if (isset($this->_usedProperties['resizer'])) {
            $output['resizer'] = $this->resizer;
        }
        if (isset($this->_usedProperties['resizerOptions'])) {
            $output['resizer_options'] = $this->resizerOptions;
        }

        return $output;
    }

}
