<?php

namespace Symfony\Config\SonataMedia\Cdn;

use Symfony\Component\Config\Loader\ParamConfigurator;
use Symfony\Component\Config\Definition\Exception\InvalidConfigurationException;

/**
 * This class is automatically generated to help in creating a config.
 */
class FallbackConfig 
{
    private $primary;
    private $fallback;
    private $_usedProperties = [];

    /**
     * @default null
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function primary($value): self
    {
        $this->_usedProperties['primary'] = true;
        $this->primary = $value;

        return $this;
    }

    /**
     * @default null
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function fallback($value): self
    {
        $this->_usedProperties['fallback'] = true;
        $this->fallback = $value;

        return $this;
    }

    public function __construct(array $value = [])
    {
        if (array_key_exists('primary', $value)) {
            $this->_usedProperties['primary'] = true;
            $this->primary = $value['primary'];
            unset($value['primary']);
        }

        if (array_key_exists('fallback', $value)) {
            $this->_usedProperties['fallback'] = true;
            $this->fallback = $value['fallback'];
            unset($value['fallback']);
        }

        if ([] !== $value) {
            throw new InvalidConfigurationException(sprintf('The following keys are not supported by "%s": ', __CLASS__).implode(', ', array_keys($value)));
        }
    }

    public function toArray(): array
    {
        $output = [];
        if (isset($this->_usedProperties['primary'])) {
            $output['primary'] = $this->primary;
        }
        if (isset($this->_usedProperties['fallback'])) {
            $output['fallback'] = $this->fallback;
        }

        return $output;
    }

}
