<?php

namespace Symfony\Config\SonataMedia;

require_once __DIR__.\DIRECTORY_SEPARATOR.'Cdn'.\DIRECTORY_SEPARATOR.'ServerConfig.php';
require_once __DIR__.\DIRECTORY_SEPARATOR.'Cdn'.\DIRECTORY_SEPARATOR.'CloudfrontConfig.php';
require_once __DIR__.\DIRECTORY_SEPARATOR.'Cdn'.\DIRECTORY_SEPARATOR.'FallbackConfig.php';

use Symfony\Component\Config\Definition\Exception\InvalidConfigurationException;

/**
 * This class is automatically generated to help in creating a config.
 */
class CdnConfig 
{
    private $server;
    private $cloudfront;
    private $fallback;
    private $_usedProperties = [];

    public function server(array $value = []): \Symfony\Config\SonataMedia\Cdn\ServerConfig
    {
        if (null === $this->server) {
            $this->_usedProperties['server'] = true;
            $this->server = new \Symfony\Config\SonataMedia\Cdn\ServerConfig($value);
        } elseif (0 < \func_num_args()) {
            throw new InvalidConfigurationException('The node created by "server()" has already been initialized. You cannot pass values the second time you call server().');
        }

        return $this->server;
    }

    public function cloudfront(array $value = []): \Symfony\Config\SonataMedia\Cdn\CloudfrontConfig
    {
        if (null === $this->cloudfront) {
            $this->_usedProperties['cloudfront'] = true;
            $this->cloudfront = new \Symfony\Config\SonataMedia\Cdn\CloudfrontConfig($value);
        } elseif (0 < \func_num_args()) {
            throw new InvalidConfigurationException('The node created by "cloudfront()" has already been initialized. You cannot pass values the second time you call cloudfront().');
        }

        return $this->cloudfront;
    }

    public function fallback(array $value = []): \Symfony\Config\SonataMedia\Cdn\FallbackConfig
    {
        if (null === $this->fallback) {
            $this->_usedProperties['fallback'] = true;
            $this->fallback = new \Symfony\Config\SonataMedia\Cdn\FallbackConfig($value);
        } elseif (0 < \func_num_args()) {
            throw new InvalidConfigurationException('The node created by "fallback()" has already been initialized. You cannot pass values the second time you call fallback().');
        }

        return $this->fallback;
    }

    public function __construct(array $value = [])
    {
        if (array_key_exists('server', $value)) {
            $this->_usedProperties['server'] = true;
            $this->server = new \Symfony\Config\SonataMedia\Cdn\ServerConfig($value['server']);
            unset($value['server']);
        }

        if (array_key_exists('cloudfront', $value)) {
            $this->_usedProperties['cloudfront'] = true;
            $this->cloudfront = new \Symfony\Config\SonataMedia\Cdn\CloudfrontConfig($value['cloudfront']);
            unset($value['cloudfront']);
        }

        if (array_key_exists('fallback', $value)) {
            $this->_usedProperties['fallback'] = true;
            $this->fallback = new \Symfony\Config\SonataMedia\Cdn\FallbackConfig($value['fallback']);
            unset($value['fallback']);
        }

        if ([] !== $value) {
            throw new InvalidConfigurationException(sprintf('The following keys are not supported by "%s": ', __CLASS__).implode(', ', array_keys($value)));
        }
    }

    public function toArray(): array
    {
        $output = [];
        if (isset($this->_usedProperties['server'])) {
            $output['server'] = $this->server->toArray();
        }
        if (isset($this->_usedProperties['cloudfront'])) {
            $output['cloudfront'] = $this->cloudfront->toArray();
        }
        if (isset($this->_usedProperties['fallback'])) {
            $output['fallback'] = $this->fallback->toArray();
        }

        return $output;
    }

}
