<?php

namespace Symfony\Config\SonataMedia;

require_once __DIR__.\DIRECTORY_SEPARATOR.'ContextsConfig'.\DIRECTORY_SEPARATOR.'DownloadConfig.php';
require_once __DIR__.\DIRECTORY_SEPARATOR.'ContextsConfig'.\DIRECTORY_SEPARATOR.'FormatsConfig.php';

use Symfony\Component\Config\Definition\Exception\InvalidConfigurationException;
use Symfony\Component\Config\Loader\ParamConfigurator;

/**
 * This class is automatically generated to help in creating a config.
 */
class ContextsConfig 
{
    private $download;
    private $providers;
    private $formats;
    private $_usedProperties = [];

    public function download(array $value = []): \Symfony\Config\SonataMedia\ContextsConfig\DownloadConfig
    {
        if (null === $this->download) {
            $this->_usedProperties['download'] = true;
            $this->download = new \Symfony\Config\SonataMedia\ContextsConfig\DownloadConfig($value);
        } elseif (0 < \func_num_args()) {
            throw new InvalidConfigurationException('The node created by "download()" has already been initialized. You cannot pass values the second time you call download().');
        }

        return $this->download;
    }

    /**
     * @param ParamConfigurator|list<mixed|ParamConfigurator> $value
     * @return $this
     */
    public function providers($value): self
    {
        $this->_usedProperties['providers'] = true;
        $this->providers = $value;

        return $this;
    }

    public function formats(string $id, array $value = []): \Symfony\Config\SonataMedia\ContextsConfig\FormatsConfig
    {
        if (!isset($this->formats[$id])) {
            $this->_usedProperties['formats'] = true;
            $this->formats[$id] = new \Symfony\Config\SonataMedia\ContextsConfig\FormatsConfig($value);
        } elseif (1 < \func_num_args()) {
            throw new InvalidConfigurationException('The node created by "formats()" has already been initialized. You cannot pass values the second time you call formats().');
        }

        return $this->formats[$id];
    }

    public function __construct(array $value = [])
    {
        if (array_key_exists('download', $value)) {
            $this->_usedProperties['download'] = true;
            $this->download = new \Symfony\Config\SonataMedia\ContextsConfig\DownloadConfig($value['download']);
            unset($value['download']);
        }

        if (array_key_exists('providers', $value)) {
            $this->_usedProperties['providers'] = true;
            $this->providers = $value['providers'];
            unset($value['providers']);
        }

        if (array_key_exists('formats', $value)) {
            $this->_usedProperties['formats'] = true;
            $this->formats = array_map(function ($v) { return new \Symfony\Config\SonataMedia\ContextsConfig\FormatsConfig($v); }, $value['formats']);
            unset($value['formats']);
        }

        if ([] !== $value) {
            throw new InvalidConfigurationException(sprintf('The following keys are not supported by "%s": ', __CLASS__).implode(', ', array_keys($value)));
        }
    }

    public function toArray(): array
    {
        $output = [];
        if (isset($this->_usedProperties['download'])) {
            $output['download'] = $this->download->toArray();
        }
        if (isset($this->_usedProperties['providers'])) {
            $output['providers'] = $this->providers;
        }
        if (isset($this->_usedProperties['formats'])) {
            $output['formats'] = array_map(function ($v) { return $v->toArray(); }, $this->formats);
        }

        return $output;
    }

}
