<?php

namespace Symfony\Config\SonataMedia\ContextsConfig;

use Symfony\Component\Config\Loader\ParamConfigurator;
use Symfony\Component\Config\Definition\Exception\InvalidConfigurationException;

/**
 * This class is automatically generated to help in creating a config.
 */
class DownloadConfig 
{
    private $strategy;
    private $mode;
    private $_usedProperties = [];

    /**
     * @default 'sonata.media.security.superadmin_strategy'
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function strategy($value): self
    {
        $this->_usedProperties['strategy'] = true;
        $this->strategy = $value;

        return $this;
    }

    /**
     * @default 'http'
     * @param ParamConfigurator|mixed $value
     * @return $this
     */
    public function mode($value): self
    {
        $this->_usedProperties['mode'] = true;
        $this->mode = $value;

        return $this;
    }

    public function __construct(array $value = [])
    {
        if (array_key_exists('strategy', $value)) {
            $this->_usedProperties['strategy'] = true;
            $this->strategy = $value['strategy'];
            unset($value['strategy']);
        }

        if (array_key_exists('mode', $value)) {
            $this->_usedProperties['mode'] = true;
            $this->mode = $value['mode'];
            unset($value['mode']);
        }

        if ([] !== $value) {
            throw new InvalidConfigurationException(sprintf('The following keys are not supported by "%s": ', __CLASS__).implode(', ', array_keys($value)));
        }
    }

    public function toArray(): array
    {
        $output = [];
        if (isset($this->_usedProperties['strategy'])) {
            $output['strategy'] = $this->strategy;
        }
        if (isset($this->_usedProperties['mode'])) {
            $output['mode'] = $this->mode;
        }

        return $output;
    }

}
