<?php

namespace Symfony\Config\SonataMedia;

require_once __DIR__.\DIRECTORY_SEPARATOR.'Filesystem'.\DIRECTORY_SEPARATOR.'LocalConfig.php';
require_once __DIR__.\DIRECTORY_SEPARATOR.'Filesystem'.\DIRECTORY_SEPARATOR.'FtpConfig.php';
require_once __DIR__.\DIRECTORY_SEPARATOR.'Filesystem'.\DIRECTORY_SEPARATOR.'S3Config.php';
require_once __DIR__.\DIRECTORY_SEPARATOR.'Filesystem'.\DIRECTORY_SEPARATOR.'ReplicateConfig.php';

use Symfony\Component\Config\Definition\Exception\InvalidConfigurationException;

/**
 * This class is automatically generated to help in creating a config.
 */
class FilesystemConfig 
{
    private $local;
    private $ftp;
    private $s3;
    private $replicate;
    private $_usedProperties = [];

    public function local(array $value = []): \Symfony\Config\SonataMedia\Filesystem\LocalConfig
    {
        if (null === $this->local) {
            $this->_usedProperties['local'] = true;
            $this->local = new \Symfony\Config\SonataMedia\Filesystem\LocalConfig($value);
        } elseif (0 < \func_num_args()) {
            throw new InvalidConfigurationException('The node created by "local()" has already been initialized. You cannot pass values the second time you call local().');
        }

        return $this->local;
    }

    public function ftp(array $value = []): \Symfony\Config\SonataMedia\Filesystem\FtpConfig
    {
        if (null === $this->ftp) {
            $this->_usedProperties['ftp'] = true;
            $this->ftp = new \Symfony\Config\SonataMedia\Filesystem\FtpConfig($value);
        } elseif (0 < \func_num_args()) {
            throw new InvalidConfigurationException('The node created by "ftp()" has already been initialized. You cannot pass values the second time you call ftp().');
        }

        return $this->ftp;
    }

    public function s3(array $value = []): \Symfony\Config\SonataMedia\Filesystem\S3Config
    {
        if (null === $this->s3) {
            $this->_usedProperties['s3'] = true;
            $this->s3 = new \Symfony\Config\SonataMedia\Filesystem\S3Config($value);
        } elseif (0 < \func_num_args()) {
            throw new InvalidConfigurationException('The node created by "s3()" has already been initialized. You cannot pass values the second time you call s3().');
        }

        return $this->s3;
    }

    public function replicate(array $value = []): \Symfony\Config\SonataMedia\Filesystem\ReplicateConfig
    {
        if (null === $this->replicate) {
            $this->_usedProperties['replicate'] = true;
            $this->replicate = new \Symfony\Config\SonataMedia\Filesystem\ReplicateConfig($value);
        } elseif (0 < \func_num_args()) {
            throw new InvalidConfigurationException('The node created by "replicate()" has already been initialized. You cannot pass values the second time you call replicate().');
        }

        return $this->replicate;
    }

    public function __construct(array $value = [])
    {
        if (array_key_exists('local', $value)) {
            $this->_usedProperties['local'] = true;
            $this->local = new \Symfony\Config\SonataMedia\Filesystem\LocalConfig($value['local']);
            unset($value['local']);
        }

        if (array_key_exists('ftp', $value)) {
            $this->_usedProperties['ftp'] = true;
            $this->ftp = new \Symfony\Config\SonataMedia\Filesystem\FtpConfig($value['ftp']);
            unset($value['ftp']);
        }

        if (array_key_exists('s3', $value)) {
            $this->_usedProperties['s3'] = true;
            $this->s3 = new \Symfony\Config\SonataMedia\Filesystem\S3Config($value['s3']);
            unset($value['s3']);
        }

        if (array_key_exists('replicate', $value)) {
            $this->_usedProperties['replicate'] = true;
            $this->replicate = new \Symfony\Config\SonataMedia\Filesystem\ReplicateConfig($value['replicate']);
            unset($value['replicate']);
        }

        if ([] !== $value) {
            throw new InvalidConfigurationException(sprintf('The following keys are not supported by "%s": ', __CLASS__).implode(', ', array_keys($value)));
        }
    }

    public function toArray(): array
    {
        $output = [];
        if (isset($this->_usedProperties['local'])) {
            $output['local'] = $this->local->toArray();
        }
        if (isset($this->_usedProperties['ftp'])) {
            $output['ftp'] = $this->ftp->toArray();
        }
        if (isset($this->_usedProperties['s3'])) {
            $output['s3'] = $this->s3->toArray();
        }
        if (isset($this->_usedProperties['replicate'])) {
            $output['replicate'] = $this->replicate->toArray();
        }

        return $output;
    }

}
