<?php

use Symfony\Component\Translation\MessageCatalogue;

$catalogue = new MessageCatalogue('it', array (
  'validators' => 
  array (
    'This value should be false.' => 'Questo valore dovrebbe essere falso.',
    'This value should be true.' => 'Questo valore dovrebbe essere vero.',
    'This value should be of type {{ type }}.' => 'Questo valore dovrebbe essere di tipo {{ type }}.',
    'This value should be blank.' => 'Questo valore dovrebbe essere vuoto.',
    'The value you selected is not a valid choice.' => 'Questo valore dovrebbe essere una delle opzioni disponibili.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'Si dovrebbe selezionare almeno {{ limit }} opzione.|Si dovrebbero selezionare almeno {{ limit }} opzioni.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'Si dovrebbe selezionare al massimo {{ limit }} opzione.|Si dovrebbero selezionare al massimo {{ limit }} opzioni.',
    'One or more of the given values is invalid.' => 'Uno o più valori inseriti non sono validi.',
    'This field was not expected.' => 'Questo campo non è stato previsto.',
    'This field is missing.' => 'Questo campo è mancante.',
    'This value is not a valid date.' => 'Questo valore non è una data valida.',
    'This value is not a valid datetime.' => 'Questo valore non è una data e ora valida.',
    'This value is not a valid email address.' => 'Questo valore non è un indirizzo email valido.',
    'The file could not be found.' => 'Non è stato possibile trovare il file.',
    'The file is not readable.' => 'Il file non è leggibile.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'Il file è troppo grande ({{ size }} {{ suffix }}). La dimensione massima consentita è {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'Il mime type del file non è valido ({{ type }}). I tipi permessi sono {{ types }}.',
    'This value should be {{ limit }} or less.' => 'Questo valore dovrebbe essere {{ limit }} o inferiore.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'Questo valore è troppo lungo. Dovrebbe essere al massimo di {{ limit }} carattere.|Questo valore è troppo lungo. Dovrebbe essere al massimo di {{ limit }} caratteri.',
    'This value should be {{ limit }} or more.' => 'Questo valore dovrebbe essere {{ limit }} o superiore.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'Questo valore è troppo corto. Dovrebbe essere almeno di {{ limit }} carattere.|Questo valore è troppo corto. Dovrebbe essere almeno di {{ limit }} caratteri.',
    'This value should not be blank.' => 'Questo valore non dovrebbe essere vuoto.',
    'This value should not be null.' => 'Questo valore non dovrebbe essere nullo.',
    'This value should be null.' => 'Questo valore dovrebbe essere nullo.',
    'This value is not valid.' => 'Questo valore non è valido.',
    'This value is not a valid time.' => 'Questo valore non è un\'ora valida.',
    'This value is not a valid URL.' => 'Questo valore non è un URL valido.',
    'The two values should be equal.' => 'I due valori dovrebbero essere uguali.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'Il file è troppo grande. La dimensione massima è {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'Il file è troppo grande.',
    'The file could not be uploaded.' => 'Il file non può essere caricato.',
    'This value should be a valid number.' => 'Questo valore dovrebbe essere un numero.',
    'This file is not a valid image.' => 'Questo file non è una immagine valida.',
    'This is not a valid IP address.' => 'Questo valore non è un indirizzo IP valido.',
    'This value is not a valid language.' => 'Questo valore non è una lingua valida.',
    'This value is not a valid locale.' => 'Questo valore non è una impostazione regionale valida.',
    'This value is not a valid country.' => 'Questo valore non è una nazione valida.',
    'This value is already used.' => 'Questo valore è già stato utilizzato.',
    'The size of the image could not be detected.' => 'La dimensione dell\'immagine non può essere determinata.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'La larghezza dell\'immagine è troppo grande ({{ width }}px). La larghezza massima è di {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'La larghezza dell\'immagine è troppo piccola ({{ width }}px). La larghezza minima è di {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'L\'altezza dell\'immagine è troppo grande ({{ height }}px). L\'altezza massima è di {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'L\'altezza dell\'immagine è troppo piccola ({{ height }}px). L\'altezza minima è di {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'Questo valore dovrebbe essere la password attuale dell\'utente.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'Questo valore dovrebbe contenere esattamente {{ limit }} carattere.|Questo valore dovrebbe contenere esattamente {{ limit }} caratteri.',
    'The file was only partially uploaded.' => 'Il file è stato caricato solo parzialmente.',
    'No file was uploaded.' => 'Nessun file è stato caricato.',
    'No temporary folder was configured in php.ini.' => 'Non è stata configurata una cartella temporanea in php.ini, o la cartella configurata non esiste.',
    'Cannot write temporary file to disk.' => 'Impossibile scrivere il file temporaneo sul disco.',
    'A PHP extension caused the upload to fail.' => 'Un\'estensione PHP ha causato il fallimento del caricamento.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'Questa collezione dovrebbe contenere almeno {{ limit }} elemento.|Questa collezione dovrebbe contenere almeno {{ limit }} elementi.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'Questa collezione dovrebbe contenere massimo {{ limit }} elemento.|Questa collezione dovrebbe contenere massimo {{ limit }} elementi.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'Questa collezione dovrebbe contenere esattamente {{ limit }} elemento.|Questa collezione dovrebbe contenere esattamente {{ limit }} elementi.',
    'Invalid card number.' => 'Numero di carta non valido.',
    'Unsupported card type or invalid card number.' => 'Tipo di carta non supportato o numero non valido.',
    'This is not a valid International Bank Account Number (IBAN).' => 'Questo valore non è un IBAN valido.',
    'This value is not a valid ISBN-10.' => 'Questo valore non è un codice ISBN-10 valido.',
    'This value is not a valid ISBN-13.' => 'Questo valore non è un codice ISBN-13 valido.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'Questo valore non è un codice ISBN-10 o ISBN-13 valido.',
    'This value is not a valid ISSN.' => 'Questo valore non è un codice ISSN valido.',
    'This value is not a valid currency.' => 'Questo valore non è una valuta valida.',
    'This value should be equal to {{ compared_value }}.' => 'Questo valore dovrebbe essere uguale a {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'Questo valore dovrebbe essere maggiore di {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'Questo valore dovrebbe essere maggiore o uguale a {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Questo valore dovrebbe essere identico a {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'Questo valore dovrebbe essere minore di {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'Questo valore dovrebbe essere minore o uguale a {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'Questo valore dovrebbe essere diverso da {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Questo valore dovrebbe essere diverso da {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'Il rapporto di aspetto dell\'immagine è troppo grande ({{ ratio }}). Il rapporto massimo consentito è {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'Il rapporto di aspetto dell\'immagine è troppo piccolo ({{ ratio }}). Il rapporto minimo consentito è {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'L\'immagine è quadrata ({{ width }}x{{ height }}px). Le immagini quadrate non sono consentite.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'L\'immagine è orizzontale ({{ width }}x{{ height }}px). Le immagini orizzontali non sono consentite.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'L\'immagine è verticale ({{ width }}x{{ height }}px). Le immagini verticali non sono consentite.',
    'An empty file is not allowed.' => 'Un file vuoto non è consentito.',
    'The host could not be resolved.' => 'L\'host non può essere risolto.',
    'This value does not match the expected {{ charset }} charset.' => 'Questo valore non corrisponde al charset {{ charset }}.',
    'This is not a valid Business Identifier Code (BIC).' => 'Questo valore non è un codice identificativo bancario (BIC) valido.',
    'Error' => 'Errore',
    'This is not a valid UUID.' => 'Questo valore non è un UUID valido.',
    'This value should be a multiple of {{ compared_value }}.' => 'Questo valore dovrebbe essere un multiplo di {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'Questo codice identificativo bancario (BIC) non è associato all\'IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'Questo valore dovrebbe essere un JSON valido.',
    'This collection should contain only unique elements.' => 'Questa collezione dovrebbe contenere solo elementi unici.',
    'This value should be positive.' => 'Questo valore dovrebbe essere positivo.',
    'This value should be either positive or zero.' => 'Questo valore dovrebbe essere positivo oppure zero.',
    'This value should be negative.' => 'Questo valore dovrebbe essere negativo.',
    'This value should be either negative or zero.' => 'Questo valore dovrebbe essere negativo oppure zero.',
    'This value is not a valid timezone.' => 'Questo valore non è un fuso orario valido.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'Questa password è trapelata durante una compromissione di dati, non deve essere usata. Si prega di usare una password diversa.',
    'This value should be between {{ min }} and {{ max }}.' => 'Questo valore dovrebbe essere compreso tra {{ min }} e {{ max }}.',
    'This value is not a valid hostname.' => 'Questo valore non è un nome di host valido.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'Il numero di elementi in questa collezione dovrebbe essere un multiplo di {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'Questo valore dovrebbe soddisfare almeno uno dei vincoli seguenti:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Ciascun elemento di questa collezione dovrebbe soddisfare il suo insieme di vincoli.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'Questo valore non è un codice identificativo internazionale di valori mobiliari (ISIN) valido.',
    'This value should be a valid expression.' => 'Questo valore dovrebbe essere un\'espressione valida.',
    'This value is not a valid CSS color.' => 'Questo valore non è un colore CSS valido.',
    'This value is not a valid CIDR notation.' => 'Questo valore non è una notazione CIDR valida.',
    'The value of the netmask should be between {{ min }} and {{ max }}.' => 'Il valore della netmask dovrebbe essere compreso tra {{ min }} e {{ max }}.',
    'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.' => 'Il nome del file è troppo lungo. Dovrebbe avere {{ filename_max_length }} carattere o meno.|Il nome del file è troppo lungo. Dovrebbe avere {{ filename_max_length }} caratteri o meno.',
    'The password strength is too low. Please use a stronger password.' => 'La password non è abbastanza sicura. Per favore, utilizza una password più robusta.',
    'This value contains characters that are not allowed by the current restriction-level.' => 'Questo valore contiene caratteri che non sono consentiti dal livello di restrizione attuale.',
    'Using invisible characters is not allowed.' => 'Utilizzare caratteri invisibili non è consentito.',
    'Mixing numbers from different scripts is not allowed.' => 'Non è consentito mescolare numeri provenienti da diversi script.',
    'Using hidden overlay characters is not allowed.' => 'Non è consentito utilizzare caratteri sovrapposti nascosti.',
    'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.' => 'L\'estensione del file non è valida ({{ extension }}). Le estensioni consentite sono {{ extensions }}.',
    'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.' => 'La codifica dei caratteri rilevata non è valida ({{ detected }}). Le codifiche ammesse sono {{ encodings }}.',
    'This value is not a valid MAC address.' => 'Questo valore non è un indirizzo MAC valido.',
    'This form should not contain extra fields.' => 'Questo form non dovrebbe contenere nessun campo extra.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'Il file caricato è troppo grande. Per favore, carica un file più piccolo.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'Il token CSRF non è valido. Prova a reinviare il form.',
    'This value is not a valid HTML5 color.' => 'Il valore non è un colore HTML5 valido.',
    'Please enter a valid birthdate.' => 'Per favore, inserisci una data di compleanno valida.',
    'The selected choice is invalid.' => 'La scelta selezionata non è valida.',
    'The collection is invalid.' => 'La collezione non è valida.',
    'Please select a valid color.' => 'Per favore, seleziona un colore valido.',
    'Please select a valid country.' => 'Per favore, seleziona un paese valido.',
    'Please select a valid currency.' => 'Per favore, seleziona una valuta valida.',
    'Please choose a valid date interval.' => 'Per favore, scegli un intervallo di date valido.',
    'Please enter a valid date and time.' => 'Per favore, inserisci una data e ora valida.',
    'Please enter a valid date.' => 'Per favore, inserisci una data valida.',
    'Please select a valid file.' => 'Per favore, seleziona un file valido.',
    'The hidden field is invalid.' => 'Il campo nascosto non è valido.',
    'Please enter an integer.' => 'Per favore, inserisci un numero intero.',
    'Please select a valid language.' => 'Per favore, seleziona una lingua valida.',
    'Please select a valid locale.' => 'Per favore, seleziona una lingua valida.',
    'Please enter a valid money amount.' => 'Per favore, inserisci un importo valido.',
    'Please enter a number.' => 'Per favore, inserisci un numero.',
    'The password is invalid.' => 'La password non è valida.',
    'Please enter a percentage value.' => 'Per favore, inserisci un valore percentuale.',
    'The values do not match.' => 'I valori non corrispondono.',
    'Please enter a valid time.' => 'Per favore, inserisci un orario valido.',
    'Please select a valid timezone.' => 'Per favore, seleziona un fuso orario valido.',
    'Please enter a valid URL.' => 'Per favore, inserisci un URL valido.',
    'Please enter a valid search term.' => 'Per favore, inserisci un termine di ricerca valido.',
    'Please provide a valid phone number.' => 'Per favore, indica un numero di telefono valido.',
    'The checkbox has an invalid value.' => 'La casella di selezione non ha un valore valido.',
    'Please enter a valid email address.' => 'Per favore, indica un indirizzo email valido.',
    'Please select a valid option.' => 'Per favore, seleziona un\'opzione valida.',
    'Please select a valid range.' => 'Per favore, seleziona un intervallo valido.',
    'Please enter a valid week.' => 'Per favore, inserisci una settimana valida.',
    'password.mismatch' => 'Le due password non coincidono.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'Si è verificato un errore di autenticazione.',
    'Authentication credentials could not be found.' => 'Impossibile trovare le credenziali di autenticazione.',
    'Authentication request could not be processed due to a system problem.' => 'La richiesta di autenticazione non può essere processata a causa di un errore di sistema.',
    'Invalid credentials.' => 'Credenziali non valide.',
    'Cookie has already been used by someone else.' => 'Il cookie è già stato usato da qualcun altro.',
    'Not privileged to request the resource.' => 'Non hai i privilegi per richiedere questa risorsa.',
    'Invalid CSRF token.' => 'CSRF token non valido.',
    'No authentication provider found to support the authentication token.' => 'Non è stato trovato un valido fornitore di autenticazione per supportare il token.',
    'No session available, it either timed out or cookies are not enabled.' => 'Nessuna sessione disponibile, può essere scaduta o i cookie non sono abilitati.',
    'No token could be found.' => 'Nessun token trovato.',
    'Username could not be found.' => 'Username non trovato.',
    'Account has expired.' => 'Account scaduto.',
    'Credentials have expired.' => 'Credenziali scadute.',
    'Account is disabled.' => 'L\'account è disabilitato.',
    'Account is locked.' => 'L\'account è bloccato.',
    'Too many failed login attempts, please try again later.' => 'Troppi tentativi di login falliti, riprova tra un po\'.',
    'Invalid or expired login link.' => 'Link di login scaduto o non valido.',
    'Too many failed login attempts, please try again in %minutes% minute.' => 'Troppi tentativi di login falliti, riprova tra %minutes% minuto.',
  ),
  'SonataFormBundle' => 
  array (
    'link_add' => 'Aggiungi nuovo',
    'label_type_yes' => 'sì',
    'label_type_no' => 'no',
    'label_type_equals' => 'è uguale a',
    'label_type_not_equals' => 'non è uguale a',
    'date_range_start' => 'da',
    'date_range_end' => 'a',
  ),
  'SonataBlockBundle' => 
  array (
    'sonata.block.container' => 'Contenitore',
    'sonata.block.text' => 'Testo semplice',
    'sonata.block.rss' => 'Feed RSS',
    'sonata.block.menu' => 'Menu',
    'sonata.block.template' => 'Template',
    'form.label_template' => 'Template',
    'form.label_content' => 'Contenuto',
    'form.label_url' => 'URL',
    'form.label_title' => 'Titolo',
    'form.label_code' => 'Codice',
    'form.label_layout' => 'Layout',
    'form.label_class' => 'Classe CSS',
    'form.label_cache_policy' => 'Politica cache',
    'form.label_menu_name' => 'Menù',
    'form.label_safe_labels' => 'Label sicure',
    'form.label_current_class' => 'Classe CSS corrente',
    'form.label_first_class' => 'Classe CSS primo el.',
    'form.label_last_class' => 'Classe CSS ultimo el.',
    'form.label_menu_class' => 'Classe CSS menu',
    'form.label_children_class' => 'Classe CSS figli',
    'form.label_menu_template' => 'Template menu',
    'form.label_translation_domain' => 'Dominio traduzioni',
    'form.label_icon' => 'Icona',
  ),
  'SonataAdminBundle' => 
  array (
    'sonata_administration' => 'Amministrazione',
    'action_delete' => 'Elimina',
    'btn_batch' => 'Vai',
    'btn_create' => 'Crea',
    'btn_create_and_edit_again' => 'Crea',
    'btn_create_and_create_a_new_one' => 'Crea e aggiungi',
    'btn_create_and_return_to_list' => 'Crea e torna alla lista',
    'btn_filter' => 'Filtra',
    'btn_advanced_filters' => 'Filtri avanzati',
    'btn_update' => 'Aggiorna',
    'btn_update_and_edit_again' => 'Aggiorna e modifica',
    'btn_update_and_return_to_list' => 'Aggiorna e torna alla lista',
    'link_delete' => 'Elimina',
    'link_action_create' => 'Aggiungi nuovo',
    'link_action_list' => 'Torna alla lista',
    'link_action_show' => 'Mostra',
    'link_action_edit' => 'Modifica',
    'link_add' => 'Aggiungi nuovo',
    'link_edit' => 'Modifica',
    'link_list' => 'Lista',
    'link_reset_filter' => 'Azzera',
    'title_create' => 'Crea',
    'title_show' => 'Mostra "%name%"',
    'title_dashboard' => 'Dashboard',
    'title_edit' => 'Modifica "%name%"',
    'title_list' => 'Lista',
    'link_next_pager' => 'Pagina successiva',
    'link_previous_pager' => 'Pagina precedente',
    'link_first_pager' => 'Prima pagina',
    'link_last_pager' => 'Ultima pagina',
    'Admin' => 'Admin',
    'link_expand' => 'Espandi/Riduci',
    'no_result' => 'Nessun risultato',
    'confirm_msg' => 'Sei sicuro?',
    'action_edit' => 'Modifica',
    'action_show' => 'Mostra',
    'all_elements' => 'Tutti gli elementi',
    'flash_batch_empty' => 'Azione interrotta. Nessun elemento selezionato.',
    'flash_create_success' => 'Elemento creato con successo.',
    'flash_create_error' => 'Si è verificato un errore durante la creazione dell\'elemento.',
    'flash_edit_success' => 'Elemento aggiornato con successo.',
    'flash_edit_error' => 'Si è verificato un errore durante la modifica dell\'elemento.',
    'flash_lock_error' => 'Un altro utente ha modificato l\'oggetto "%name%". Per favore %link_start%clicca qui%link_end% per ricaricare la pagina e applicare di nuovo le modifiche.',
    'flash_batch_delete_success' => 'Gli elementi selezionati sono stati eliminati con successo.',
    'flash_batch_no_elements_processed' => 'Nessun elemento processato.',
    'flash_batch_delete_error' => 'Si è verificato un errore durante l\'eliminazione degli elementi.',
    'flash_delete_error' => 'Si è verificato un errore durante l\'eliminazione dell\'elemento.',
    'flash_delete_success' => 'Elemento eliminato con successo.',
    'form_not_available' => 'Form non disponibile',
    'link_breadcrumb_dashboard' => '<i class="fa fa-home"></i>',
    'title_delete' => 'Conferma eliminazione',
    'message_delete_confirmation' => 'Sei sicuro di voler eliminare l\'elemento selezionato "%object%"?',
    'btn_delete' => 'Sì, elimina',
    'title_batch_confirmation' => 'Conferma l\'azione multipla "%action%"',
    'message_batch_confirmation' => 'Sei sicuro di voler eseguire l\'azione sull\'elemento selezionato?|Sei sicuro di voler eseguire l\'azione su %count% elementi selezionati?',
    'message_batch_all_confirmation' => 'Sei sicuro di voler eseguire l\'azione su tutti gli elementi?',
    'btn_execute_batch_action' => 'Sì, esegui',
    'label_type_yes' => 'sì',
    'label_type_no' => 'no',
    'label_type_contains' => 'contiene',
    'label_type_not_contains' => 'non contiene',
    'label_type_equals' => 'è uguale a',
    'label_type_not_equals' => 'non è uguale a',
    'label_type_equal' => '=',
    'label_type_greater_equal' => '>=',
    'label_type_greater_than' => '>',
    'label_type_less_equal' => '<=',
    'label_type_less_than' => '<',
    'label_date_type_equal' => '=',
    'label_date_type_greater_equal' => '>=',
    'label_date_type_greater_than' => '>',
    'label_date_type_less_equal' => '<=',
    'label_date_type_less_than' => '<',
    'label_date_type_between' => 'Nel periodo',
    'label_date_type_not_between' => 'al di fuori del periodo',
    'label_filters' => 'Filtra',
    'delete_or' => 'oppure',
    'link_action_history' => 'Revisioni',
    'td_action' => 'Azione',
    'td_compare' => 'Confronta',
    'td_revision' => 'Revisioni',
    'td_timestamp' => 'Data',
    'td_username' => 'Utente',
    'td_role' => 'Ruolo',
    'label_view_revision' => 'Visualizza revisione',
    'label_compare_revision' => 'Confronta revisione',
    'list_results_count_prefix' => 'almeno',
    'list_results_count' => '1 risultato|%count% risultati',
    'label_export_download' => 'Esporta in formato',
    'export_format_json' => 'JSON',
    'export_format_xml' => 'XML',
    'export_format_csv' => 'CSV',
    'export_format_xls' => 'XLS',
    'export_format_xlsx' => 'XLSX',
    'loading_information' => 'Caricamento informazioni…',
    'btn_preview' => 'Anteprima',
    'btn_preview_approve' => 'Approva',
    'btn_preview_decline' => 'Rifiuta',
    'label_per_page' => 'Risultati per pagina',
    'list_select' => 'Seleziona',
    'confirm_exit' => 'Le modifiche non salvate verranno perse.',
    'link_edit_acl' => 'Modifica ACL',
    'btn_update_acl' => 'Aggiorna ACL',
    'flash_acl_edit_success' => 'ACL aggiornata con successo.',
    'link_action_acl' => 'ACL',
    'short_object_description_placeholder' => 'Nessuna selezione',
    'title_search_results' => 'Risultati della ricerca: %query%',
    'search_placeholder' => 'Cerca',
    'no_results_found' => 'nessun risultato',
    'add_new_entry' => 'aggiungi',
    'link_actions' => 'Azioni',
    'list.label__actions' => 'Azioni',
    'noscript_warning' => 'Javascript è disattivato nel tuo browser. Alcune funzioni non funzioneranno correttamente.',
    'message_form_group_empty' => 'Nessun campo disponibile.',
    'link_filters' => 'Filtri',
    'stats_view_more' => 'Mostra dettagli',
    'preview_view_more' => 'Mostra dettagli',
    'title_select_subclass' => 'Seleziona il tipo',
    'no_subclass_available' => 'Nessun tipo disponibile',
    'label_unknown_user' => 'sconosciuto',
    'read_more' => 'Continua a leggere',
    'read_less' => 'Chiudi',
    'toggle_navigation' => 'Attiva/disattiva la navigazione',
    'label_type_starts_with' => 'inizia con',
    'label_type_ends_with' => 'finisce con',
    'go_to_the_first_page' => 'Vai alla prima pagina',
  ),
  'SonataUserBundle' => 
  array (
    'title_user_registration' => 'Registrazione utente',
    'title_user_account' => 'Account utente',
    'title_user_edit_profile' => 'Modifica',
    'title_user_authentication' => 'Autenticazione',
    'sonata_user_submit' => 'Invia',
    'breadcrumb.link_user_list' => 'Utenti',
    'breadcrumb.link_user_create' => 'Crea',
    'breadcrumb.link_user_edit' => 'Modifica',
    'breadcrumb.link_user_delete' => 'Elimina',
    'users' => 'Utenti',
    'show.group_users' => 'Utenti',
    'switch_user_exit' => 'Torna amministratore',
    'switch_user' => 'Cambia utente',
    'user_block_logout' => 'Logout',
    'user_block_profile' => 'Profilo',
    'form.label_username' => 'Username',
    'form.label_email' => 'Indirizzo email',
    'form.label_plain_password' => 'Password (testo semplice)',
    'form.label_roles' => 'Ruoli',
    'form.label_locked' => 'Bloccato',
    'form.label_expired' => 'Scaduto',
    'form.label_enabled' => 'Abilitato',
    'form.label_credentials_expired' => 'Credenziali scadute',
    'form.label_created_at' => 'Creato il',
    'form.label_last_login' => 'Ultimo accesso il',
    'form.label_name' => 'Nome',
    'filter.label_username' => 'Username',
    'filter.label_name' => 'Nome',
    'filter.label_email' => 'Indirizzo email',
    'filter.label_locked' => 'Bloccato',
    'filter.label_id' => 'ID',
    'filter.label_enabled' => 'Attivo',
    'filter.label_created_at' => 'Creato il',
    'filter.label_last_login' => 'Ultimo accesso',
    'filter.label_firstname' => 'Nome',
    'filter.label_lastname' => 'Cognome',
    'filter.label_roles' => 'Ruoli',
    'list.label_username' => 'Username',
    'list.label_name' => 'Nome',
    'list.label_email' => 'Indirizzo email',
    'list.label_locked' => 'Bloccato',
    'list.label_enabled' => 'Abilitato',
    'list.label_created_at' => 'Creato il',
    'list.label_last_login' => 'Ultimo accesso il',
    'list.label_impersonating' => 'Impersonifica utente',
    'form.group_roles' => 'Ruoli',
    'list.label_firstname' => 'Nome',
    'list.label_lastname' => 'Cognome',
    'label_two_step_code' => 'Verifica in due passaggi',
    'message_two_step_code_help' => 'Messaggio di aiuto verifica in due passsaggi',
    'label_two_step_code_error' => 'Errori verifica in due passaggi',
    'sonata_user' => 'Utenti',
    'form.group_general' => 'Generale',
    'Management' => 'Gestione',
    'Status' => 'Stato',
    'field.label_roles_editable' => 'Ruoli',
    'form.label_date_of_birth' => 'Compleanno',
    'form.label_firstname' => 'Nome',
    'form.label_lastname' => 'Cognome',
    'form.label_website' => 'Sito',
    'form.label_biography' => 'Biografia',
    'form.label_gender' => 'Sesso',
    'form.label_locale' => 'Lingua',
    'form.label_timezone' => 'Fuso orario',
    'form.label_phone' => 'Cellulare',
    'form.label_facebook_uid' => 'Facebook ID',
    'form.label_facebook_name' => 'Nome Facebook',
    'form.label_twitter_uid' => 'Twitter ID',
    'form.label_twitter_name' => 'Nome Twitter',
    'form.label_gplus_uid' => 'Gooogle Plus ID',
    'form.label_gplus_name' => 'Nome Google Plus',
    'form.label_token' => 'Token',
    'form.label_two_step_verification_code' => 'Codice della verifica in due passaggi',
    'show.label_username' => 'Username',
    'show.label_email' => 'Email',
    'show.label_date_of_birth' => 'Compleanno',
    'show.label_firstname' => 'Nome',
    'show.label_lastname' => 'Cognome',
    'show.label_website' => 'Sito',
    'show.label_biography' => 'Biografia',
    'show.label_gender' => 'Genere',
    'show.label_locale' => 'Lingua',
    'show.label_timezone' => 'Fuso orario',
    'show.label_phone' => 'Cellulare',
    'show.label_facebook_uid' => 'Facebook id',
    'show.label_facebook_name' => 'Nome Facebook',
    'show.label_twitter_uid' => 'Twitter id',
    'show.label_twitter_name' => 'Nome Twitter',
    'show.label_gplus_uid' => 'Google Plus id',
    'show.label_gplus_name' => 'Nome Google Plus',
    'show.label_token' => 'Etichetta mancante',
    'show.label_two_step_verification_code' => 'Verifica in due passaggi',
    'show.label_created_at' => 'Creato il',
    'show.label_last_login' => 'Ultimo accesso il',
    'breadcrumb.link_user_show' => 'Mostra',
    'gender_unknown' => 'Genere sconosciuto',
    'gender_female' => 'Femmina',
    'gender_male' => 'Maschio',
    'sonata_profile_title' => 'Profilo',
    'link_show_profile' => 'Mostra profilo',
    'link_edit_profile' => 'Modifica profilo',
    'title_user_edit_authentication' => 'Modifica le credenziali d\'accesso',
    'link_edit_authentication' => 'Modifica le credenziali d\'accesso',
    'label_profile_gender' => 'Genere',
    'label_profile_firstname' => 'Nome',
    'label_profile_lastname' => 'Cognome',
    'label_profile_website' => 'Sito',
    'label_profile_dob' => 'Compleanno',
    'label_profile_biography' => 'Biografia',
    'label_profile_locale' => 'Lingua',
    'label_profile_timezone' => 'Fuso orario',
    'label_profile_phone' => 'Cellulare',
    'profile.flash.updated' => 'Il profilo è stato aggiornato.',
    'sonata_change_password_link' => 'Cambia password',
    'link_register' => 'Registrati',
    'link_login' => 'Login',
    'link_logout' => 'Logout',
    'registration.flash.user_created' => 'Il tuo account è stato creato con successo!',
    'forgotten_password' => 'Password dimenticata',
    'sonata_user_profile_breadcrumb_index' => 'Dashboard',
    'sonata_user_profile_breadcrumb_edit' => 'Modifica profilo',
    'sonata_user_already_authenticated' => 'Sei già loggato',
    'security.login.username' => 'Username',
    'security.login.password' => 'Password',
    'form.username' => 'Username',
    'form.email' => 'Email',
    'form.password' => 'Password',
    'form.password_confirmation' => 'Conferma password',
    'title_user_edit_password' => 'Modifica password',
    'title_user_resetting' => 'Richiesta password',
    'title_user_resetting_reset' => 'Reset password',
    'qr_code_secret' => 'Segreto QR-code',
    'qr_go_next' => 'Scansionato. Procedi.',
    'General' => 'Generale',
    'Keys' => 'Chiavi',
    'Profile' => 'Profilo',
    'Roles' => 'Ruoli',
    'Security' => 'Sicurezza',
    'Social' => 'Social',
    'User' => 'Utente',
    'security.login.remember_me' => 'Ricordami',
    'security.login.submit' => 'Login',
    'resetting.request.username' => 'Username o indirizzo email',
    'resetting.request.submit' => 'Password reset',
    'resetting.check_email' => '
          È stata inviata un\'email con il link d\'attivazione che devi utilizzare per il reset della password.
          Nota: è possibile richiedere una password entro %tokenLifetime% ore.

          Se non ricevi un\'email verifica la cartella di spam o riprova.
        ',
    'resetting.email.subject' => 'Password reset',
    'resetting.email.message' => '
          Ciao %username%!

          Per resettare la password visita %confirmationUrl%

          Saluti,
          il Team.
        ',
    'resetting.reset.submit' => 'Cambia password',
    'resetting.flash.success' => 'La password è stata resettata.',
    'form.new_password' => 'Nuova password',
    'form.new_password_confirmation' => 'Ripeti password',
  ),
  'SonataMediaBundle' => 
  array (
    'default' => 'Default',
    'media' => 'Media',
    'gallery' => 'Gallerie',
    'Gallery' => 'Galleria',
    'Options' => 'Opzioni',
    'reference' => 'Riferimento',
    'sonata_media' => 'Libreria',
    'no_provider_available' => 'Nessun media provider disponibile',
    'title_select_provider' => 'Scegli un media provider',
    'breadcrumb.link_media_create' => 'Crea',
    'breadcrumb.link_media_list' => 'Media',
    'breadcrumb.link_media_edit' => 'Modifica',
    'breadcrumb.link_media_view' => 'Mostra',
    'breadcrumb.link_media_delete' => 'Rimuovi',
    'breadcrumb.link_gallery_create' => 'Crea',
    'breadcrumb.link_media_show' => 'Mostra',
    'breadcrumb.link_gallery_list' => 'Gallerie',
    'breadcrumb.link_gallery_edit' => 'Modifica',
    'breadcrumb.link_gallery_delete' => 'Rimuovi',
    'description.roles_download_strategy' => 'Questo media può essere scaricato dagli utenti con ruoli: %roles%.',
    'description.public_download_strategy' => 'Questo media può essere scaricato da chiunque.',
    'description.forbidden_download_strategy' => 'Questo media non può essere scaricato da nessuno.',
    'description.session_download_strategy' => 'Questo media può essere scaricato una volta per sessione.|Questo media può essere scaricato %times% volte per sessione.',
    'filter.label_name' => 'Nome',
    'filter.label_provider_reference' => 'Riferimento provider',
    'filter.label_enabled' => 'Pubblicato',
    'filter.label_context' => 'Contesto',
    'filter.label_provider_name' => 'Nome provider',
    'filter.label_category' => 'Categoria',
    'filter.label_author_name' => 'Nome autore',
    'filter.label_width' => 'Larghezza',
    'filter.label_height' => 'Altezza',
    'filter.label_content_type' => 'Tipo di contenuto',
    'form.group_media' => 'Media',
    'form.label_enabled' => 'Pubblicato',
    'form.label_media' => 'Media',
    'form.label_position' => 'Posizione',
    'form.label_context' => 'Contesto',
    'form.label_name' => 'Nome',
    'form.label_default_format' => 'Formato',
    'form.label_gallery_items' => 'Media',
    'form.label_author_name' => 'Autore',
    'form.label_cdn_is_flushable' => 'Cache CDN svuotabile',
    'form.label_description' => 'Descrizione',
    'form.label_copyright' => 'Copyright',
    'form.label_binary_content' => 'File/Sorgente',
    'label.size' => 'Dimensioni',
    'label.length' => 'Lunghezza',
    'label.width' => 'Larghezza',
    'label.height' => 'Altezza',
    'label.content_type' => 'Tipo di contenuto',
    'label.copyright' => 'Copyright',
    'label.author_name' => 'Autore',
    'label.cdn' => 'CDN',
    'label.to_be_flushed' => 'Svuotabile',
    'label.flushed_at' => 'Cache svuotata il',
    'label.public_url' => 'URL Pubblico',
    'label.name' => 'Nome',
    'label.file' => 'File',
    'label.author' => 'Autore',
    'label.enabled' => 'Pubblicato',
    'label.cdn_is_flushable' => 'Cache CDN svuotabile',
    'label.cdn_flush_identifier' => 'Id cache CDN',
    'label.video_reference' => 'Cambia sorgente video',
    'label.description' => 'Descrizione',
    'label.select_context' => 'Contesto',
    'label.select_provider' => 'Tipo',
    'label.protected_download_url' => 'URL Protetto',
    'label.protected_download_url_notice' => 'Attenzione',
    'link.all_providers' => 'Tutti',
    'link.test_protected_url' => 'Link anteprima',
    'list.label_enabled' => 'Pubblicato',
    'list.label_name' => 'Nome',
    'list.label_author_name' => 'Autore',
    'list.label_context' => 'Contesto',
    'list.label_default_format' => 'Formato',
    'list.label__action' => 'Azione',
    'list.label_custom' => 'Custom',
    'list.label_author' => 'Autore',
    'sidemenu.link_edit_media' => 'Modifica',
    'sidemenu.link_media_view' => 'Mostra',
    'sonata.media.provider.dailymotion' => 'DailyMotion',
    'sonata.media.provider.youtube' => 'YouTube',
    'sonata.media.provider.vimeo' => 'Vimeo',
    'sonata.media.provider.image' => 'Immagine',
    'sonata.media.provider.file' => 'File',
    'sonata.media.provider.dailymotion.description' => 'Aggiungi un video da DailyMotion',
    'sonata.media.provider.youtube.description' => 'Aggiungi un video da YouTube',
    'sonata.media.provider.vimeo.description' => 'Aggiungi un video da Vimeo',
    'sonata.media.provider.image.description' => 'Aggiungi una immagine',
    'sonata.media.provider.file.description' => 'Aggiungi un file',
    'title.media_preview' => 'Anteprima',
    'title.media_thumbnail' => 'Miniatura',
    'title.informations' => 'Informazioni',
    'title.formats' => 'Formati',
    'link_media' => 'Aggiungi',
    'no_linked_media' => 'Nessun media al link',
    'widget_label_type' => 'Tipo',
    'widget_label_context' => 'Contesto',
    'widget_headline_information' => 'Informazioni',
    'widget_label_unlink' => 'Elimina',
    'widget_label_binary_content' => 'Sorgente',
    'sonata_media_gallery_index' => 'Galleria',
    'list.label_description' => 'Descrizione',
    'list.label_size' => 'Dimensioni',
    'warning_no_category' => 'Nessuna categoria definita',
    'form.label_category' => 'Categoria',
    'form.label_provider_reference' => 'Provider sorgente',
    'sonata.media.block.media' => 'Media',
    'sonata.media.block.feature_media' => 'Media avanzato',
    'sonata.media.block.gallery' => 'Galleria',
    'form.label_title' => 'Titolo',
    'form.label_content' => 'Contenuto',
    'form.label_orientation' => 'Orientazione',
    'form.label_gallery' => 'Galleria',
    'form.label_format' => 'Formato',
    'form.label_pause_time' => 'Intervallo',
    'form.label_start_paused' => 'Avvio in pausa',
    'form.label_wrap' => 'Decorazione',
    'form.label_orientation_left' => 'Sinistra',
    'form.label_orientation_right' => 'Destra',
    'sonata.media.block.gallery_list' => 'Lista gallerie',
    'label_gallery_enabled' => 'Galleria abilitata',
    'label_gallery_disabled' => 'Galleria disabilitata',
    'no_galleries_found' => 'Nessuna galleria definita.',
    'view_all_galleries' => 'Visualizza tutte le gallerie',
    'form.label_mode' => 'Modalità',
    'form.label_number' => 'Posizione',
    'form.label_order' => 'Campo ordinamento',
    'form.label_order_name' => 'Nome',
    'form.label_order_created_at' => 'Creato il',
    'form.label_order_updated_at' => 'Modificato il',
    'form.label_sort' => 'Ordinamento',
    'form.label_sort_asc' => 'Ascendente',
    'form.label_sort_desc' => 'Discendente',
    'form.label_mode_public' => 'Pubblico',
    'form.label_mode_admin' => 'Admin',
    'form.label_class' => 'Classe CSS',
    'form.label_translation_domain' => 'Dominio di traduzione',
    'form.label_icon' => 'Icona',
    'error.image_too_small' => 'Immagine troppo piccola, la grandezza richiesta è minimo %min_width% x %min_height%.',
  ),
));

$catalogueEs = new MessageCatalogue('es', array (
  'validators' => 
  array (
    'This value should be false.' => 'Este valor debería ser falso.',
    'This value should be true.' => 'Este valor debería ser verdadero.',
    'This value should be of type {{ type }}.' => 'Este valor debería ser de tipo {{ type }}.',
    'This value should be blank.' => 'Este valor debería estar vacío.',
    'The value you selected is not a valid choice.' => 'El valor seleccionado no es una opción válida.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'Debe seleccionar al menos {{ limit }} opción.|Debe seleccionar al menos {{ limit }} opciones.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'Debe seleccionar como máximo {{ limit }} opción.|Debe seleccionar como máximo {{ limit }} opciones.',
    'One or more of the given values is invalid.' => 'Uno o más de los valores indicados no son válidos.',
    'This field was not expected.' => 'Este campo no se esperaba.',
    'This field is missing.' => 'Este campo falta.',
    'This value is not a valid date.' => 'Este valor no es una fecha válida.',
    'This value is not a valid datetime.' => 'Este valor no es una fecha y hora válida.',
    'This value is not a valid email address.' => 'Este valor no es una dirección de email válida.',
    'The file could not be found.' => 'No se pudo encontrar el archivo.',
    'The file is not readable.' => 'No se puede leer el archivo.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'El archivo es demasiado grande ({{ size }} {{ suffix }}). El tamaño máximo permitido es {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'El tipo mime del archivo no es válido ({{ type }}). Los tipos mime válidos son {{ types }}.',
    'This value should be {{ limit }} or less.' => 'Este valor debería ser {{ limit }} o menos.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'Este valor es demasiado largo. Debería tener {{ limit }} carácter o menos.|Este valor es demasiado largo. Debería tener {{ limit }} caracteres o menos.',
    'This value should be {{ limit }} or more.' => 'Este valor debería ser {{ limit }} o más.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'Este valor es demasiado corto. Debería tener {{ limit }} carácter o más.|Este valor es demasiado corto. Debería tener {{ limit }} caracteres o más.',
    'This value should not be blank.' => 'Este valor no debería estar vacío.',
    'This value should not be null.' => 'Este valor no debería ser nulo.',
    'This value should be null.' => 'Este valor debería ser nulo.',
    'This value is not valid.' => 'Este valor no es válido.',
    'This value is not a valid time.' => 'Este valor no es una hora válida.',
    'This value is not a valid URL.' => 'Este valor no es una URL válida.',
    'The two values should be equal.' => 'Los dos valores deberían ser iguales.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'El archivo es demasiado grande. El tamaño máximo permitido es {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'El archivo es demasiado grande.',
    'The file could not be uploaded.' => 'No se pudo subir el archivo.',
    'This value should be a valid number.' => 'Este valor debería ser un número válido.',
    'This file is not a valid image.' => 'El archivo no es una imagen válida.',
    'This is not a valid IP address.' => 'Este valor no es una dirección IP válida.',
    'This value is not a valid language.' => 'Este valor no es un idioma válido.',
    'This value is not a valid locale.' => 'Este valor no es una localización válida.',
    'This value is not a valid country.' => 'Este valor no es un país válido.',
    'This value is already used.' => 'Este valor ya se ha utilizado.',
    'The size of the image could not be detected.' => 'No se pudo determinar el tamaño de la imagen.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'El ancho de la imagen es demasiado grande ({{ width }}px). El ancho máximo permitido es de {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'El ancho de la imagen es demasiado pequeño ({{ width }}px). El ancho mínimo requerido es {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'La altura de la imagen es demasiado grande ({{ height }}px). La altura máxima permitida es de {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'La altura de la imagen es demasiado pequeña ({{ height }}px). La altura mínima requerida es de {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'Este valor debería ser la contraseña actual del usuario.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'Este valor debería tener exactamente {{ limit }} carácter.|Este valor debería tener exactamente {{ limit }} caracteres.',
    'The file was only partially uploaded.' => 'El archivo se cargó solo parcialmente.',
    'No file was uploaded.' => 'No se subió ningún archivo.',
    'No temporary folder was configured in php.ini.' => 'Ninguna carpeta temporal fue configurada en php.ini o la carpeta configurada no existe.',
    'Cannot write temporary file to disk.' => 'No se pudo escribir el archivo temporal en el disco.',
    'A PHP extension caused the upload to fail.' => 'Una extensión de PHP provocó que la carga fallara.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'Esta colección debe contener {{ limit }} elemento o más.|Esta colección debe contener {{ limit }} elementos o más.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'Esta colección debe contener {{ limit }} elemento o menos.|Esta colección debe contener {{ limit }} elementos o menos.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'Esta colección debe contener exactamente {{ limit }} elemento.|Esta colección debe contener exactamente {{ limit }} elementos.',
    'Invalid card number.' => 'Número de tarjeta inválido.',
    'Unsupported card type or invalid card number.' => 'Tipo de tarjeta no soportado o número de tarjeta inválido.',
    'This is not a valid International Bank Account Number (IBAN).' => 'Este valor no es un Número de Cuenta Bancaria Internacional (IBAN) válido.',
    'This value is not a valid ISBN-10.' => 'Este valor no es un ISBN-10 válido.',
    'This value is not a valid ISBN-13.' => 'Este valor no es un ISBN-13 válido.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'Este valor no es ni un ISBN-10 válido ni un ISBN-13 válido.',
    'This value is not a valid ISSN.' => 'Este valor no es un ISSN válido.',
    'This value is not a valid currency.' => 'Este valor no es una divisa válida.',
    'This value should be equal to {{ compared_value }}.' => 'Este valor debería ser igual que {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'Este valor debería ser mayor que {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'Este valor debería ser mayor o igual que {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Este valor debería ser idéntico a {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'Este valor debería ser menor que {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'Este valor debería ser menor o igual que {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'Este valor debería ser distinto de {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Este valor no debería ser idéntico a {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'La proporción de la imagen es demasiado grande ({{ ratio }}). La máxima proporción permitida es {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'La proporción de la imagen es demasiado pequeña ({{ ratio }}). La mínima proporción permitida es {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'La imagen es cuadrada ({{ width }}x{{ height }}px). Las imágenes cuadradas no están permitidas.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'La imagen está orientada horizontalmente ({{ width }}x{{ height }}px). Las imágenes orientadas horizontalmente no están permitidas.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'La imagen está orientada verticalmente ({{ width }}x{{ height }}px). Las imágenes orientadas verticalmente no están permitidas.',
    'An empty file is not allowed.' => 'No se permite un archivo vacío.',
    'The host could not be resolved.' => 'No se puede resolver el host.',
    'This value does not match the expected {{ charset }} charset.' => 'La codificación de caracteres para este valor debería ser {{ charset }}.',
    'This is not a valid Business Identifier Code (BIC).' => 'Este valor no es un Código de Identificación de Negocios (BIC) válido.',
    'Error' => 'Error',
    'This is not a valid UUID.' => 'Este valor no es un UUID válido.',
    'This value should be a multiple of {{ compared_value }}.' => 'Este valor debería ser múltiplo de {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'Este Código de Identificación Bancaria (BIC) no está asociado con el IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'Este valor debería ser un JSON válido.',
    'This collection should contain only unique elements.' => 'Esta colección debería tener exclusivamente elementos únicos.',
    'This value should be positive.' => 'Este valor debería ser positivo.',
    'This value should be either positive or zero.' => 'Este valor debería ser positivo o igual a cero.',
    'This value should be negative.' => 'Este valor debería ser negativo.',
    'This value should be either negative or zero.' => 'Este valor debería ser negativo o igual a cero.',
    'This value is not a valid timezone.' => 'Este valor no es una zona horaria válida.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'Esta contraseña no se puede utilizar porque está incluida en un listado de contraseñas públicas obtenido gracias a fallos de seguridad de otros sitios y aplicaciones. Por favor, utilice otra contraseña.',
    'This value should be between {{ min }} and {{ max }}.' => 'Este valor debería estar entre {{ min }} y {{ max }}.',
    'This value is not a valid hostname.' => 'Este valor no es un nombre de host válido.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'El número de elementos en esta colección debería ser múltiplo de {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'Este valor debería satisfacer al menos una de las siguientes restricciones:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Cada elemento de esta colección debería satisfacer su propio conjunto de restricciones.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'Este valor no es un número de identificación internacional de valores (ISIN) válido.',
    'This value should be a valid expression.' => 'Este valor debería ser una expresión válida.',
    'This value is not a valid CSS color.' => 'Este valor no es un color CSS válido.',
    'This value is not a valid CIDR notation.' => 'Este valor no es una notación CIDR válida.',
    'The value of the netmask should be between {{ min }} and {{ max }}.' => 'El valor de la máscara de red debería estar entre {{ min }} y {{ max }}.',
    'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.' => 'El nombre del archivo es demasido largo. Debe tener {{ filename_max_length }} carácter o menos.|El nombre del archivo es demasido largo. Debe tener {{ filename_max_length }} caracteres o menos.',
    'The password strength is too low. Please use a stronger password.' => 'La seguridad de la contraseña es demasiado baja. Por favor, utilice una contraseña más segura.',
    'This value contains characters that are not allowed by the current restriction-level.' => 'Este valor contiene caracteres que no están permitidos según el nivel de restricción actual.',
    'Using invisible characters is not allowed.' => 'No se permite el uso de caracteres invisibles.',
    'Mixing numbers from different scripts is not allowed.' => 'No está permitido mezclar números de diferentes scripts.',
    'Using hidden overlay characters is not allowed.' => 'No está permitido el uso de caracteres superpuestos ocultos.',
    'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.' => 'La extensión del archivo no es válida ({{ extension }}). Las extensiones permitidas son {{ extensions }}.',
    'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.' => 'La codificación de los caracteres detectada es inválida ({{ detected }}). Las codificaciones permitidas son {{ encodings }}.',
    'This value is not a valid MAC address.' => 'Este valor no es una dirección MAC válida.',
    'This form should not contain extra fields.' => 'Este formulario no debería contener campos adicionales.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'El archivo subido es demasiado grande. Por favor, suba un archivo más pequeño.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'El token CSRF no es válido. Por favor, pruebe a enviar nuevamente el formulario.',
    'This value is not a valid HTML5 color.' => 'Este valor no es un color HTML5 válido.',
    'Please enter a valid birthdate.' => 'Por favor, ingrese una fecha de cumpleaños válida.',
    'The selected choice is invalid.' => 'La opción seleccionada no es válida.',
    'The collection is invalid.' => 'La colección no es válida.',
    'Please select a valid color.' => 'Por favor, seleccione un color válido.',
    'Please select a valid country.' => 'Por favor, seleccione un país válido.',
    'Please select a valid currency.' => 'Por favor, seleccione una moneda válida.',
    'Please choose a valid date interval.' => 'Por favor, elija un intervalo de fechas válido.',
    'Please enter a valid date and time.' => 'Por favor, ingrese una fecha y hora válidas.',
    'Please enter a valid date.' => 'Por favor, ingrese una fecha valida.',
    'Please select a valid file.' => 'Por favor, seleccione un archivo válido.',
    'The hidden field is invalid.' => 'El campo oculto no es válido.',
    'Please enter an integer.' => 'Por favor, ingrese un número entero.',
    'Please select a valid language.' => 'Por favor, seleccione un idioma válido.',
    'Please select a valid locale.' => 'Por favor, seleccione una configuración regional válida.',
    'Please enter a valid money amount.' => 'Por favor, ingrese una cantidad de dinero válida.',
    'Please enter a number.' => 'Por favor, ingrese un número.',
    'The password is invalid.' => 'La contraseña no es válida.',
    'Please enter a percentage value.' => 'Por favor, ingrese un valor porcentual.',
    'The values do not match.' => 'Los valores no coinciden.',
    'Please enter a valid time.' => 'Por favor, ingrese una hora válida.',
    'Please select a valid timezone.' => 'Por favor, seleccione una zona horaria válida.',
    'Please enter a valid URL.' => 'Por favor, ingrese una URL válida.',
    'Please enter a valid search term.' => 'Por favor, ingrese un término de búsqueda válido.',
    'Please provide a valid phone number.' => 'Por favor, proporcione un número de teléfono válido.',
    'The checkbox has an invalid value.' => 'La casilla de verificación tiene un valor inválido.',
    'Please enter a valid email address.' => 'Por favor, ingrese una dirección de correo electrónico válida.',
    'Please select a valid option.' => 'Por favor, seleccione una opción válida.',
    'Please select a valid range.' => 'Por favor, seleccione un rango válido.',
    'Please enter a valid week.' => 'Por favor, ingrese una semana válida.',
    'password.mismatch' => 'Las dos contraseñas no coinciden.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'Ocurrió un error de autenticación.',
    'Authentication credentials could not be found.' => 'No se encontraron las credenciales de autenticación.',
    'Authentication request could not be processed due to a system problem.' => 'La solicitud de autenticación no se pudo procesar debido a un problema del sistema.',
    'Invalid credentials.' => 'Credenciales no válidas.',
    'Cookie has already been used by someone else.' => 'La cookie ya ha sido usada por otra persona.',
    'Not privileged to request the resource.' => 'No tiene privilegios para solicitar el recurso.',
    'Invalid CSRF token.' => 'Token CSRF no válido.',
    'No authentication provider found to support the authentication token.' => 'No se encontró un proveedor de autenticación que soporte el token de autenticación.',
    'No session available, it either timed out or cookies are not enabled.' => 'No hay ninguna sesión disponible, ha expirado o las cookies no están habilitados.',
    'No token could be found.' => 'No se encontró ningún token.',
    'Username could not be found.' => 'No se encontró el nombre de usuario.',
    'Account has expired.' => 'La cuenta ha expirado.',
    'Credentials have expired.' => 'Las credenciales han expirado.',
    'Account is disabled.' => 'La cuenta está deshabilitada.',
    'Account is locked.' => 'La cuenta está bloqueada.',
    'Too many failed login attempts, please try again later.' => 'Demasiados intentos fallidos de inicio de sesión, inténtelo de nuevo más tarde.',
    'Invalid or expired login link.' => 'Enlace de inicio de sesión inválido o expirado.',
    'Too many failed login attempts, please try again in %minutes% minute.' => 'Demasiados intentos fallidos de inicio de sesión, inténtelo de nuevo en %minutes% minuto.',
  ),
  'SonataFormBundle' => 
  array (
    'link_add' => 'Agregar nuevo',
    'label_type_yes' => 'sí',
    'label_type_no' => 'no',
    'label_type_equals' => 'igual a',
    'label_type_not_equals' => 'diferente a',
    'date_range_start' => 'Fecha inicial',
    'date_range_end' => 'Fecha final',
  ),
  'SonataAdminBundle' => 
  array (
    'sonata_administration' => 'Administración',
    'action_delete' => 'Borrar',
    'btn_batch' => 'OK',
    'btn_create' => 'Crear',
    'btn_create_and_edit_again' => 'Crear y editar',
    'btn_create_and_create_a_new_one' => 'Crear y agregar otro',
    'btn_create_and_return_to_list' => 'Crear y regresar al listado',
    'btn_filter' => 'Filtrar',
    'btn_advanced_filters' => 'Filtros avanzados',
    'btn_update' => 'Actualizar',
    'btn_update_and_edit_again' => 'Actualizar',
    'btn_update_and_return_to_list' => 'Actualizar y cerrar',
    'link_delete' => 'Borrar',
    'link_action_create' => 'Agregar nuevo',
    'link_action_list' => 'Volver al listado',
    'link_action_show' => 'Mostrar',
    'link_action_edit' => 'Editar',
    'link_add' => 'Agregar nuevo',
    'link_edit' => 'Editar',
    'link_list' => 'Listar',
    'link_reset_filter' => 'Restablecer',
    'title_create' => 'Crear',
    'title_show' => 'Mostrar "%name%"',
    'title_dashboard' => 'Panel principal',
    'title_edit' => 'Editar "%name%"',
    'title_list' => 'Listar',
    'link_next_pager' => 'Siguiente',
    'link_previous_pager' => 'Anterior',
    'link_first_pager' => 'Primero',
    'link_last_pager' => 'Último',
    'Admin' => 'Administrador',
    'link_expand' => 'expandir/ocultar',
    'no_result' => 'No hay resultados',
    'confirm_msg' => '¿Estás seguro?',
    'action_edit' => 'Editar',
    'action_show' => 'Mostrar',
    'all_elements' => 'Todos los elementos',
    'flash_batch_empty' => 'Acción cancelada. Ningún elemento ha sido seleccionado.',
    'flash_create_success' => 'El elemento "%name%" ha sido creado con éxito.',
    'flash_create_error' => 'Se ha producido un error durante la creación del elemento "%name%".',
    'flash_edit_success' => 'El elemento "%name%" ha sido actualizado con éxito.',
    'flash_edit_error' => 'Se ha producido un error durante la actualización del elemento "%name%".',
    'flash_lock_error' => 'Otro usuario ha modificado el elemento "%name%". Por favor %link_start%clica aquí%link_end% para recargar la página y aplicar los cambios de nuevo.',
    'flash_batch_delete_success' => 'Los elementos seleccionados han sido eliminados con éxito.',
    'flash_batch_no_elements_processed' => 'No se han procesado elementos.',
    'flash_batch_delete_error' => 'Se ha producido un error durante la eliminación de los elementos seleccionados.',
    'flash_delete_error' => 'Se ha producido un error durante la eliminación del elemento "%name%".',
    'flash_delete_success' => 'El elemento "%name%" se ha eliminado con éxito.',
    'form_not_available' => 'El formulario no está disponible.',
    'link_breadcrumb_dashboard' => '<i class="fa fa-home"></i>',
    'title_delete' => 'Confirma el borrado',
    'message_delete_confirmation' => '¿Estás seguro que quieres borrar el elemento seleccionado "%object%"?',
    'btn_delete' => 'Sí, borrar',
    'title_batch_confirmation' => 'Confirma la operación "%action%"',
    'message_batch_confirmation' => '¿Estás seguro que quieres confirmar y ejecutar esta acción para el elemento seleccionado?|¿Estás seguro que quieres confirmar y ejecutar esta acción para todos los %count% elementos seleccionados?',
    'message_batch_all_confirmation' => '¿Estás seguro que quieres confirmar y ejecutar esta acción para todos los elementos?',
    'btn_execute_batch_action' => 'Sí, ejecutar',
    'label_type_yes' => 'sí',
    'label_type_no' => 'no',
    'label_type_contains' => 'contiene',
    'label_type_not_contains' => 'no contiene',
    'label_type_equals' => 'es igual a',
    'label_type_not_equals' => 'no es igual a',
    'label_type_equal' => '=',
    'label_type_greater_equal' => '>=',
    'label_type_greater_than' => '>',
    'label_type_less_equal' => '<=',
    'label_type_less_than' => '<',
    'label_date_type_equal' => '=',
    'label_date_type_greater_equal' => '>=',
    'label_date_type_greater_than' => '>',
    'label_date_type_less_equal' => '<=',
    'label_date_type_less_than' => '<',
    'label_date_type_between' => 'entre',
    'label_date_type_not_between' => 'no entre',
    'label_filters' => 'Filtros',
    'delete_or' => 'o',
    'link_action_history' => 'Revisiones',
    'td_action' => 'Acción',
    'td_compare' => 'Compara',
    'td_revision' => 'Revisiones',
    'td_timestamp' => 'Fecha',
    'td_username' => 'Autor',
    'td_role' => 'Rol',
    'label_view_revision' => 'Ver Revisión',
    'label_compare_revision' => 'Comparar la revision',
    'list_results_count_prefix' => 'al menos',
    'list_results_count' => '1 resultado|%count% resultados',
    'label_export_download' => 'Exportar',
    'export_format_json' => 'JSON',
    'export_format_xml' => 'XML',
    'export_format_csv' => 'CSV',
    'export_format_xls' => 'XLS',
    'export_format_xlsx' => 'XLSX',
    'loading_information' => 'Cargando información…',
    'btn_preview' => 'Vista previa',
    'btn_preview_approve' => 'Aprobar',
    'btn_preview_decline' => 'Cancelar',
    'label_per_page' => 'Por página',
    'list_select' => 'Seleccionar',
    'confirm_exit' => 'Tienes cambios sin guardar.',
    'link_edit_acl' => 'Editar ACL',
    'btn_update_acl' => 'Actualizar ACL',
    'flash_acl_edit_success' => 'ACL actualizada correctamente.',
    'link_action_acl' => 'ACL',
    'short_object_description_placeholder' => 'Ninguna selección',
    'title_search_results' => 'Resultados de la búsqueda: %query%',
    'search_placeholder' => 'Buscar',
    'no_results_found' => 'No se han encontrado resultados',
    'add_new_entry' => 'añadir nueva entrada',
    'link_actions' => 'Acciones',
    'list.label__actions' => 'Acciones',
    'noscript_warning' => 'Javascript esta deshabilitado en tu navegador. Algunas características no funcionarán correctamente.',
    'message_form_group_empty' => 'No hay campos disponibles.',
    'link_filters' => 'Filtros',
    'stats_view_more' => 'Ver más',
    'preview_view_more' => 'Ver más',
    'title_select_subclass' => 'Selecciona el tipo de elemento',
    'no_subclass_available' => 'No hay disponible ningún tipo de elemento',
    'label_unknown_user' => 'desconocido',
    'read_more' => 'Leer más',
    'read_less' => 'Cerrar',
    'toggle_navigation' => 'Cambiar modo de navegación',
    'label_type_starts_with' => 'comienza con',
    'label_type_ends_with' => 'termina con',
    'go_to_the_first_page' => 'Ir a la primera pagina',
  ),
  'SonataUserBundle' => 
  array (
    'title_user_registration' => 'Registrarse',
    'title_user_account' => 'Perfil de Usuario',
    'title_user_edit_profile' => 'Editar',
    'title_user_authentication' => 'Autentificación',
    'sonata_user_submit' => 'Enviar',
    'breadcrumb.link_user_list' => 'Usuarios',
    'breadcrumb.link_user_create' => 'Crear',
    'breadcrumb.link_user_edit' => 'Editar',
    'breadcrumb.link_user_delete' => 'Borrar',
    'users' => 'Usuarios',
    'show.group_users' => 'Usuarios',
    'switch_user_exit' => 'Terminar modo de suplantación de usuarios',
    'switch_user' => 'Suplantar usuario',
    'user_block_logout' => 'Cerrar sesión',
    'user_block_profile' => 'Perfil',
    'form.label_username' => 'Nombre de usuario',
    'form.label_email' => 'Dirección de correo electrónico',
    'form.label_plain_password' => 'Contraseña',
    'form.label_roles' => 'Roles',
    'form.label_locked' => 'Bloqueado',
    'form.label_expired' => 'Expirado',
    'form.label_enabled' => 'Habilitado',
    'form.label_credentials_expired' => 'Credenciales caducadas',
    'form.label_created_at' => 'Creado en',
    'form.label_last_login' => 'Último acceso',
    'form.label_name' => 'Nombre',
    'filter.label_username' => 'Nombre de usuario',
    'filter.label_name' => 'Nombre',
    'filter.label_email' => 'Dirección de correo electrónico',
    'filter.label_locked' => 'Bloqueado',
    'filter.label_id' => 'ID',
    'filter.label_enabled' => 'Activo',
    'filter.label_created_at' => 'Creado en',
    'filter.label_last_login' => 'Último acceso',
    'filter.label_firstname' => 'Nombre',
    'filter.label_lastname' => 'Apellido',
    'filter.label_roles' => 'Roles',
    'list.label_username' => 'Nombre de usuario',
    'list.label_name' => 'Nombre',
    'list.label_email' => 'Dirección de correo electrónico',
    'list.label_locked' => 'Bloqueado',
    'list.label_enabled' => 'Habilitado',
    'list.label_created_at' => 'Creado en',
    'list.label_last_login' => 'Último acceso',
    'list.label_impersonating' => 'Suplantar usuario',
    'form.group_roles' => 'Roles',
    'list.label_firstname' => 'Nombre',
    'list.label_lastname' => 'Apellido',
    'label_two_step_code' => 'Verificación de dos pasos',
    'message_two_step_code_help' => 'Ingrese el código de verificación generado por la aplicación de su móvil.',
    'label_two_step_code_error' => 'El código de verificación no es válido.',
    'sonata_user' => 'Usuario',
    'form.group_general' => 'General',
    'Management' => 'Administración',
    'Status' => 'Estado',
    'field.label_roles_editable' => 'Roles',
    'form.label_date_of_birth' => 'Fecha de nacimiento',
    'form.label_firstname' => 'Nombre',
    'form.label_lastname' => 'Apellido',
    'form.label_website' => 'Sitio web',
    'form.label_biography' => 'Biografía',
    'form.label_gender' => 'Sexo',
    'form.label_locale' => 'Localización',
    'form.label_timezone' => 'Zona horaria',
    'form.label_phone' => 'Teléfono',
    'form.label_facebook_uid' => 'UID de Facebook',
    'form.label_facebook_name' => 'Nombre en Facebook',
    'form.label_twitter_uid' => 'UID de Twitter',
    'form.label_twitter_name' => 'Nombre en Twitter',
    'form.label_gplus_uid' => 'UID de Google+',
    'form.label_gplus_name' => 'Nombre en Google+',
    'form.label_token' => 'Token',
    'form.label_two_step_verification_code' => 'Código de verificación de dos pasos',
    'show.label_username' => 'Nombre de usuario',
    'show.label_email' => 'Correo electrónico',
    'show.label_date_of_birth' => 'Fecha de nacimiento',
    'show.label_firstname' => 'Nombre',
    'show.label_lastname' => 'Apellido',
    'show.label_website' => 'Sitio web',
    'show.label_biography' => 'Biografía',
    'show.label_gender' => 'Sexo',
    'show.label_locale' => 'Localización',
    'show.label_timezone' => 'Zona horaria',
    'show.label_phone' => 'Teléfono',
    'show.label_facebook_uid' => 'UID de Facebook',
    'show.label_facebook_name' => 'Nombre en Facebook',
    'show.label_twitter_uid' => 'UID de Twitter',
    'show.label_twitter_name' => 'Nombre en Twitter',
    'show.label_gplus_uid' => 'UID de Google+',
    'show.label_gplus_name' => 'Nombre en Google+',
    'show.label_token' => 'Token',
    'show.label_two_step_verification_code' => 'Código de verificación de dos pasos',
    'show.label_created_at' => 'Creado en',
    'show.label_last_login' => 'Último acceso',
    'breadcrumb.link_user_show' => 'Mostrar',
    'gender_unknown' => 'desconocido',
    'gender_female' => 'femenino',
    'gender_male' => 'masculino',
    'sonata_profile_title' => 'Panel',
    'link_show_profile' => 'Panel',
    'link_edit_profile' => 'Perfil',
    'title_user_edit_authentication' => 'Inicio de sesión',
    'link_edit_authentication' => 'Inicio se sesión',
    'label_profile_gender' => 'Género',
    'label_profile_firstname' => 'Nombre',
    'label_profile_lastname' => 'Apellido',
    'label_profile_website' => 'Sitio web',
    'label_profile_dob' => 'Fecha de nacimiento',
    'label_profile_biography' => 'Biografía',
    'label_profile_locale' => 'Localización',
    'label_profile_timezone' => 'Zona horaria',
    'label_profile_phone' => 'Teléfono',
    'profile.flash.updated' => 'Tu perfil se ha actualizado',
    'sonata_change_password_link' => 'Cambiar contraseña',
    'link_register' => 'Registro',
    'link_login' => 'Iniciar sesión',
    'link_logout' => 'Salir',
    'registration.flash.user_created' => 'La cuenta se ha creado correctamente',
    'forgotten_password' => '¿Olvidaste tu contraseña?',
    'sonata_user_profile_breadcrumb_index' => 'Panel',
    'sonata_user_profile_breadcrumb_edit' => 'Editar perfil',
    'sonata_user_already_authenticated' => 'Ya estás validado',
    'security.login.username' => 'Nombre de usuario',
    'security.login.password' => 'Contraseña',
    'form.username' => 'Nombre de usuario',
    'form.email' => 'Correo electrónico',
    'form.password' => 'Contraseña',
    'form.password_confirmation' => 'Confirmar contraseña',
    'title_user_edit_password' => 'Cambio de contraseña',
    'title_user_resetting' => 'Solicitud de contraseña',
    'title_user_resetting_reset' => 'Restablecer contraseña',
    'qr_code_secret' => 'Secret del código QR',
    'qr_go_next' => 'Ya lo he leído. Continuar.',
    'security.login.remember_me' => 'Recordar',
    'security.login.submit' => 'Entrar',
    'resetting.request.username' => 'Nombre de usuario o correo electrónico',
    'resetting.request.submit' => 'Restablecer contraseña',
    'resetting.check_email' => '
          Se ha enviado un correo electrónico a tu cuenta de correo. Contiene un enlace de activación al que debes acceder para restablecer tu contraseña.
          Nota: Solo se puede solicitar una nueva contraseña cada %tokenLifetime% horas.

          Si no recibes un correo electrónico, comprueba tu carpeta de correo no deseado o inténtalo de nuevo.
        ',
    'resetting.email.subject' => 'Restablecer Contraseña',
    'resetting.email.message' => '
          ¡Hola %username%!

          Para restablecer tu contraseña, por favor visita %confirmationUrl%

          Atentamente,
          el Equipo.
        ',
    'resetting.reset.submit' => 'Cambiar contraseña',
    'resetting.flash.success' => 'La contraseña se ha cambiado con éxito.',
    'form.new_password' => 'Nueva contraseña',
    'form.new_password_confirmation' => 'Repita la contraseña',
  ),
  'SonataMediaBundle' => 
  array (
    'default' => 'Por defecto',
    'media' => 'Multimedia',
    'gallery' => 'Galería',
    'sonata_media' => 'Multimedia',
    'no_provider_available' => 'Proveedores no disponibles',
    'title_select_provider' => 'Seleccione un proveedor de multimedia',
    'breadcrumb.link_media_create' => 'Crear',
    'breadcrumb.link_media_list' => 'Multimedias',
    'breadcrumb.link_media_edit' => 'Editar',
    'breadcrumb.link_media_view' => 'Ver',
    'breadcrumb.link_media_delete' => 'Borrar',
    'breadcrumb.link_gallery_create' => 'Crear',
    'breadcrumb.link_media_show' => 'Mostrar',
    'breadcrumb.link_gallery_list' => 'Galerías',
    'breadcrumb.link_gallery_edit' => 'Editar',
    'breadcrumb.link_gallery_delete' => 'Borrar',
    'description.roles_download_strategy' => 'El archivo multimedia se puede descargar solamente por los usuarios con los siguientes roles : %roles%.',
    'description.public_download_strategy' => 'El archivo multimedia se puede descargar por todos.',
    'description.forbidden_download_strategy' => 'El archivo de multimedia no se puede descargar.',
    'filter.label_name' => 'Nombre',
    'form.label_category' => 'Categoría',
    'filter.label_provider_reference' => 'Referencia del proveedor',
    'filter.label_enabled' => 'Habilitado',
    'filter.label_context' => 'Contexto',
    'filter.label_provider_name' => 'Proveedor',
    'filter.label_category' => 'Categoría',
    'filter.label_author_name' => 'Nombre de autor',
    'filter.label_width' => 'Ancho',
    'filter.label_height' => 'Alto',
    'filter.label_content_type' => 'Tipo de contenido',
    'form.label_enabled' => 'Habilitado',
    'form.label_media' => 'Multimedia',
    'form.label_position' => 'Posición',
    'form.label_context' => 'Contexto',
    'form.label_name' => 'Nombre',
    'form.label_default_format' => 'Formato',
    'form.label_gallery_items' => 'Multimedias',
    'form.label_author_name' => 'Autor',
    'form.label_cdn_is_flushable' => 'Sincronizar CDN',
    'form.label_description' => 'Descripción',
    'form.label_copyright' => 'Derechos de autor',
    'form.label_binary_content' => 'Archivo',
    'label.size' => 'Tamaño',
    'label.length' => 'Longitud',
    'label.width' => 'Ancho',
    'label.height' => 'Alto',
    'label.content_type' => 'Tipo de contenido',
    'label.copyright' => 'Derechos de autor',
    'label.author_name' => 'Autor',
    'label.cdn' => 'CDN',
    'label.to_be_flushed' => 'Limpiable',
    'label.flushed_at' => 'Limpiado el',
    'label.public_url' => 'URL pública',
    'label.name' => 'Nombre',
    'label.file' => 'Archivo',
    'label.author' => 'Autor',
    'label.enabled' => 'Activado',
    'label.cdn_is_flushable' => 'CDN en purga',
    'label.cdn_flush_identifier' => 'Identificador purga CDN',
    'label.video_reference' => 'Cambiar video',
    'label.description' => 'Descripción',
    'label.select_context' => 'Contexto : ',
    'label.select_provider' => 'Tipo : ',
    'label.protected_download_url' => 'URL protegida',
    'label.protected_download_url_notice' => 'Advertencia',
    'link.all_providers' => 'Todos',
    'link.test_protected_url' => 'Link de previsualización',
    'list.label_enabled' => 'Habilitado',
    'list.label_name' => 'Nombre',
    'list.label_author_name' => 'Nombre del autor',
    'list.label_context' => 'Contexto',
    'list.label_default_format' => 'Formato',
    'list.label__action' => 'Acción',
    'list.label_custom' => 'Personalizado',
    'sidemenu.link_edit_media' => 'Editar',
    'sidemenu.link_media_view' => 'Ver',
    'sonata.media.provider.dailymotion' => 'DailyMotion',
    'sonata.media.provider.youtube' => 'YouTube',
    'sonata.media.provider.vimeo' => 'Vimeo',
    'sonata.media.provider.image' => 'Imagen',
    'sonata.media.provider.file' => 'Archivo',
    'title.media_preview' => 'Previsualizar',
    'title.media_thumbnail' => 'Miniatura',
    'title.informations' => 'Información',
    'title.formats' => 'Formatos',
    'link_media' => 'Asocia el objeto a un nuevo media',
    'no_linked_media' => 'Ningún media asociado al objeto',
    'widget_label_type' => 'Tipo',
    'widget_label_context' => 'Contexto',
    'widget_headline_information' => 'Información',
    'widget_label_unlink' => 'Eliminar',
    'widget_label_binary_content' => 'Fichero',
    'sonata_media_gallery_index' => 'Galería',
    'list.label_description' => 'Descripción',
    'list.label_size' => 'Tamaño',
    'form.group_media' => 'Multimedia',
    'form.group_gallery' => 'Galería',
    'form.group_options' => 'Opciones',
  ),
));
$catalogue->addFallbackCatalogue($catalogueEs);
$catalogueEn = new MessageCatalogue('en', array (
  'validators' => 
  array (
    'This value should be false.' => 'This value should be false.',
    'This value should be true.' => 'This value should be true.',
    'This value should be of type {{ type }}.' => 'This value should be of type {{ type }}.',
    'This value should be blank.' => 'This value should be blank.',
    'The value you selected is not a valid choice.' => 'The value you selected is not a valid choice.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.',
    'One or more of the given values is invalid.' => 'One or more of the given values is invalid.',
    'This field was not expected.' => 'This field was not expected.',
    'This field is missing.' => 'This field is missing.',
    'This value is not a valid date.' => 'This value is not a valid date.',
    'This value is not a valid datetime.' => 'This value is not a valid datetime.',
    'This value is not a valid email address.' => 'This value is not a valid email address.',
    'The file could not be found.' => 'The file could not be found.',
    'The file is not readable.' => 'The file is not readable.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.',
    'This value should be {{ limit }} or less.' => 'This value should be {{ limit }} or less.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.',
    'This value should be {{ limit }} or more.' => 'This value should be {{ limit }} or more.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.',
    'This value should not be blank.' => 'This value should not be blank.',
    'This value should not be null.' => 'This value should not be null.',
    'This value should be null.' => 'This value should be null.',
    'This value is not valid.' => 'This value is not valid.',
    'This value is not a valid time.' => 'This value is not a valid time.',
    'This value is not a valid URL.' => 'This value is not a valid URL.',
    'The two values should be equal.' => 'The two values should be equal.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'The file is too large.',
    'The file could not be uploaded.' => 'The file could not be uploaded.',
    'This value should be a valid number.' => 'This value should be a valid number.',
    'This file is not a valid image.' => 'This file is not a valid image.',
    'This is not a valid IP address.' => 'This value is not a valid IP address.',
    'This value is not a valid language.' => 'This value is not a valid language.',
    'This value is not a valid locale.' => 'This value is not a valid locale.',
    'This value is not a valid country.' => 'This value is not a valid country.',
    'This value is already used.' => 'This value is already used.',
    'The size of the image could not be detected.' => 'The size of the image could not be detected.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'This value should be the user\'s current password.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.',
    'The file was only partially uploaded.' => 'The file was only partially uploaded.',
    'No file was uploaded.' => 'No file was uploaded.',
    'No temporary folder was configured in php.ini.' => 'No temporary folder was configured in php.ini, or the configured folder does not exist.',
    'Cannot write temporary file to disk.' => 'Cannot write temporary file to disk.',
    'A PHP extension caused the upload to fail.' => 'A PHP extension caused the upload to fail.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.',
    'Invalid card number.' => 'Invalid card number.',
    'Unsupported card type or invalid card number.' => 'Unsupported card type or invalid card number.',
    'This is not a valid International Bank Account Number (IBAN).' => 'This value is not a valid International Bank Account Number (IBAN).',
    'This value is not a valid ISBN-10.' => 'This value is not a valid ISBN-10.',
    'This value is not a valid ISBN-13.' => 'This value is not a valid ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'This value is neither a valid ISBN-10 nor a valid ISBN-13.',
    'This value is not a valid ISSN.' => 'This value is not a valid ISSN.',
    'This value is not a valid currency.' => 'This value is not a valid currency.',
    'This value should be equal to {{ compared_value }}.' => 'This value should be equal to {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'This value should be greater than {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'This value should be greater than or equal to {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should be identical to {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'This value should be less than {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'This value should be less than or equal to {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'This value should not be equal to {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.',
    'An empty file is not allowed.' => 'An empty file is not allowed.',
    'The host could not be resolved.' => 'The host could not be resolved.',
    'This value does not match the expected {{ charset }} charset.' => 'This value does not match the expected {{ charset }} charset.',
    'This is not a valid Business Identifier Code (BIC).' => 'This value is not a valid Business Identifier Code (BIC).',
    'Error' => 'Error',
    'This is not a valid UUID.' => 'This value is not a valid UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'This value should be a multiple of {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'This value should be valid JSON.',
    'This collection should contain only unique elements.' => 'This collection should contain only unique elements.',
    'This value should be positive.' => 'This value should be positive.',
    'This value should be either positive or zero.' => 'This value should be either positive or zero.',
    'This value should be negative.' => 'This value should be negative.',
    'This value should be either negative or zero.' => 'This value should be either negative or zero.',
    'This value is not a valid timezone.' => 'This value is not a valid timezone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'This password has been leaked in a data breach, it must not be used. Please use another password.',
    'This value should be between {{ min }} and {{ max }}.' => 'This value should be between {{ min }} and {{ max }}.',
    'This value is not a valid hostname.' => 'This value is not a valid hostname.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'The number of elements in this collection should be a multiple of {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'This value should satisfy at least one of the following constraints:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Each element of this collection should satisfy its own set of constraints.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'This value is not a valid International Securities Identification Number (ISIN).',
    'This value should be a valid expression.' => 'This value should be a valid expression.',
    'This value is not a valid CSS color.' => 'This value is not a valid CSS color.',
    'This value is not a valid CIDR notation.' => 'This value is not a valid CIDR notation.',
    'The value of the netmask should be between {{ min }} and {{ max }}.' => 'The value of the netmask should be between {{ min }} and {{ max }}.',
    'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.' => 'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.',
    'The password strength is too low. Please use a stronger password.' => 'The password strength is too low. Please use a stronger password.',
    'This value contains characters that are not allowed by the current restriction-level.' => 'This value contains characters that are not allowed by the current restriction-level.',
    'Using invisible characters is not allowed.' => 'Using invisible characters is not allowed.',
    'Mixing numbers from different scripts is not allowed.' => 'Mixing numbers from different scripts is not allowed.',
    'Using hidden overlay characters is not allowed.' => 'Using hidden overlay characters is not allowed.',
    'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.' => 'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.',
    'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.' => 'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.',
    'This value is not a valid MAC address.' => 'This value is not a valid MAC address.',
    'This form should not contain extra fields.' => 'This form should not contain extra fields.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'The uploaded file was too large. Please try to upload a smaller file.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'The CSRF token is invalid. Please try to resubmit the form.',
    'This value is not a valid HTML5 color.' => 'This value is not a valid HTML5 color.',
    'Please enter a valid birthdate.' => 'Please enter a valid birthdate.',
    'The selected choice is invalid.' => 'The selected choice is invalid.',
    'The collection is invalid.' => 'The collection is invalid.',
    'Please select a valid color.' => 'Please select a valid color.',
    'Please select a valid country.' => 'Please select a valid country.',
    'Please select a valid currency.' => 'Please select a valid currency.',
    'Please choose a valid date interval.' => 'Please choose a valid date interval.',
    'Please enter a valid date and time.' => 'Please enter a valid date and time.',
    'Please enter a valid date.' => 'Please enter a valid date.',
    'Please select a valid file.' => 'Please select a valid file.',
    'The hidden field is invalid.' => 'The hidden field is invalid.',
    'Please enter an integer.' => 'Please enter an integer.',
    'Please select a valid language.' => 'Please select a valid language.',
    'Please select a valid locale.' => 'Please select a valid locale.',
    'Please enter a valid money amount.' => 'Please enter a valid money amount.',
    'Please enter a number.' => 'Please enter a number.',
    'The password is invalid.' => 'The password is invalid.',
    'Please enter a percentage value.' => 'Please enter a percentage value.',
    'The values do not match.' => 'The values do not match.',
    'Please enter a valid time.' => 'Please enter a valid time.',
    'Please select a valid timezone.' => 'Please select a valid timezone.',
    'Please enter a valid URL.' => 'Please enter a valid URL.',
    'Please enter a valid search term.' => 'Please enter a valid search term.',
    'Please provide a valid phone number.' => 'Please provide a valid phone number.',
    'The checkbox has an invalid value.' => 'The checkbox has an invalid value.',
    'Please enter a valid email address.' => 'Please enter a valid email address.',
    'Please select a valid option.' => 'Please select a valid option.',
    'Please select a valid range.' => 'Please select a valid range.',
    'Please enter a valid week.' => 'Please enter a valid week.',
    'sonata.block.menu.not_existing' => 'Menu %name% does not exist.',
    'password.mismatch' => 'The entered passwords don\'t match.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'An authentication exception occurred.',
    'Authentication credentials could not be found.' => 'Authentication credentials could not be found.',
    'Authentication request could not be processed due to a system problem.' => 'Authentication request could not be processed due to a system problem.',
    'Invalid credentials.' => 'Invalid credentials.',
    'Cookie has already been used by someone else.' => 'Cookie has already been used by someone else.',
    'Not privileged to request the resource.' => 'Not privileged to request the resource.',
    'Invalid CSRF token.' => 'Invalid CSRF token.',
    'No authentication provider found to support the authentication token.' => 'No authentication provider found to support the authentication token.',
    'No session available, it either timed out or cookies are not enabled.' => 'No session available, it either timed out or cookies are not enabled.',
    'No token could be found.' => 'No token could be found.',
    'Username could not be found.' => 'Username could not be found.',
    'Account has expired.' => 'Account has expired.',
    'Credentials have expired.' => 'Credentials have expired.',
    'Account is disabled.' => 'Account is disabled.',
    'Account is locked.' => 'Account is locked.',
    'Too many failed login attempts, please try again later.' => 'Too many failed login attempts, please try again later.',
    'Invalid or expired login link.' => 'Invalid or expired login link.',
    'Too many failed login attempts, please try again in %minutes% minute.' => 'Too many failed login attempts, please try again in %minutes% minute.',
  ),
  'SonataTwigBundle' => 
  array (
    'message_close' => 'Close',
    'more' => 'more',
    'less' => 'less',
  ),
  'SonataFormBundle' => 
  array (
    'link_add' => 'Add new',
    'label_type_yes' => 'yes',
    'label_type_no' => 'no',
    'label_type_equals' => 'is equal to',
    'label_type_not_equals' => 'is not equal to',
    'date_range_start' => 'From',
    'date_range_end' => 'To',
  ),
  'SonataBlockBundle' => 
  array (
    'sonata.block.service.container' => 'Container',
    'sonata.block.service.text' => 'Simple text',
    'sonata.block.service.rss' => 'RSS feed',
    'sonata.block.service.menu' => 'Menu',
    'sonata.block.service.template' => 'Template',
    'form.label_template' => 'Template',
    'form.label_content' => 'Content',
    'form.label_url' => 'URL',
    'form.label_title' => 'Title',
    'form.label_code' => 'Code',
    'form.label_layout' => 'Layout',
    'form.label_class' => 'CSS Class',
    'form.label_cache_policy' => 'Cache policy',
    'form.label_menu_name' => 'Menu',
    'form.label_safe_labels' => 'Safe labels',
    'form.label_current_class' => 'Current CSS Class',
    'form.label_first_class' => 'First CSS Class',
    'form.label_last_class' => 'Last CSS Class',
    'form.label_menu_class' => 'Menu CSS Class',
    'form.label_children_class' => 'Children CSS Class',
    'form.label_menu_template' => 'Menu Template',
    'form.label_translation_domain' => 'Translation domain',
    'form.label_icon' => 'Icon',
  ),
  'SonataAdminBundle' => 
  array (
    'sonata_administration' => 'Administration',
    'action_delete' => 'Delete',
    'btn_batch' => 'OK',
    'btn_create' => 'Create',
    'btn_create_and_edit_again' => 'Create',
    'btn_create_and_create_a_new_one' => 'Create and add another',
    'btn_create_and_return_to_list' => 'Create and return to list',
    'btn_filter' => 'Filter',
    'btn_advanced_filters' => 'Advanced filters',
    'btn_update' => 'Update',
    'btn_update_and_edit_again' => 'Update',
    'btn_update_and_return_to_list' => 'Update and close',
    'link_delete' => 'Delete',
    'link_action_create' => 'Add new',
    'link_action_list' => 'Return to list',
    'link_action_show' => 'Show',
    'link_action_edit' => 'Edit',
    'link_add' => 'Add new',
    'link_edit' => 'Edit',
    'link_list' => 'List',
    'link_reset_filter' => 'Reset',
    'title_create' => 'Create',
    'title_show' => 'Show "%name%"',
    'title_dashboard' => 'Dashboard',
    'title_edit' => 'Edit "%name%"',
    'title_list' => 'List',
    'link_next_pager' => 'Next',
    'link_previous_pager' => 'Previous',
    'link_first_pager' => 'First',
    'link_last_pager' => 'Last',
    'Admin' => 'Admin',
    'link_expand' => 'expand/collapse',
    'no_result' => 'No result',
    'confirm_msg' => 'Are you sure ?',
    'action_edit' => 'Edit',
    'action_show' => 'Show',
    'all_elements' => 'All elements',
    'flash_batch_empty' => 'Action aborted. No items were selected.',
    'flash_create_success' => 'Item "%name%" has been successfully created.',
    'flash_create_error' => 'An error has occurred during the creation of item "%name%".',
    'flash_edit_success' => 'Item "%name%" has been successfully updated.',
    'flash_edit_error' => 'An error has occurred during update of item "%name%".',
    'flash_lock_error' => 'Another user has modified item "%name%". Please %link_start%click here%link_end% to reload the page and apply the changes again.',
    'flash_batch_delete_success' => 'Selected items have been successfully deleted.',
    'flash_batch_no_elements_processed' => 'No elements processed.',
    'flash_batch_delete_error' => 'An Error has occurred during selected items deletion.',
    'flash_delete_error' => 'An Error has occurred during deletion of item "%name%".',
    'flash_delete_success' => 'Item "%name%" has been deleted successfully.',
    'form_not_available' => 'Form is not available.',
    'link_breadcrumb_dashboard' => '<i class="fa fa-home"></i>',
    'title_delete' => 'Confirm deletion',
    'message_delete_confirmation' => 'Are you sure you want to delete the selected "%object%" element?',
    'btn_delete' => 'Yes, delete',
    'title_batch_confirmation' => 'Confirm batch action "%action%"',
    'message_batch_confirmation' => 'Are you sure you want to confirm this action and execute it for the selected element?|Are you sure you want to confirm this action and execute it for the %count% selected elements?',
    'message_batch_all_confirmation' => 'Are you sure you want to confirm this action and execute it for all the elements?',
    'btn_execute_batch_action' => 'Yes, execute',
    'label_type_yes' => 'yes',
    'label_type_no' => 'no',
    'label_type_contains' => 'contains',
    'label_type_not_contains' => 'does not contain',
    'label_type_equals' => 'is equal to',
    'label_type_not_equals' => 'is not equal to',
    'label_type_equal' => '=',
    'label_type_greater_equal' => '>=',
    'label_type_greater_than' => '>',
    'label_type_less_equal' => '<=',
    'label_type_less_than' => '<',
    'label_date_type_equal' => '=',
    'label_date_type_greater_equal' => '>=',
    'label_date_type_greater_than' => '>',
    'label_date_type_less_equal' => '<=',
    'label_date_type_less_than' => '<',
    'label_date_type_between' => 'between',
    'label_date_type_not_between' => 'not between',
    'label_filters' => 'Filters',
    'delete_or' => 'or',
    'link_action_history' => 'Revisions',
    'td_action' => 'Action',
    'td_compare' => 'Compare',
    'td_revision' => 'Revisions',
    'td_timestamp' => 'Date',
    'td_username' => 'Author',
    'td_role' => 'Role',
    'label_view_revision' => 'View Revision',
    'label_compare_revision' => 'Compare revision',
    'list_results_count_prefix' => 'at least',
    'list_results_count' => '1 result|%count% results',
    'label_export_download' => 'Download',
    'export_format_json' => 'JSON',
    'export_format_xml' => 'XML',
    'export_format_csv' => 'CSV',
    'export_format_xls' => 'XLS',
    'export_format_xlsx' => 'XLSX',
    'loading_information' => 'Loading information…',
    'btn_preview' => 'Preview',
    'btn_preview_approve' => 'Approve',
    'btn_preview_decline' => 'Decline',
    'label_per_page' => 'Per page',
    'list_select' => 'Select',
    'confirm_exit' => 'You have unsaved changes.',
    'link_edit_acl' => 'Edit ACL',
    'btn_update_acl' => 'Update ACL',
    'flash_acl_edit_success' => 'ACL has been successfuly updated.',
    'link_action_acl' => 'ACL',
    'short_object_description_placeholder' => 'No selection',
    'title_search_results' => 'Search results: %query%',
    'search_placeholder' => 'Search',
    'no_results_found' => 'no result found',
    'add_new_entry' => 'add new entry',
    'link_actions' => 'Actions',
    'list.label__actions' => 'Actions',
    'noscript_warning' => 'Javascript is disabled in your web browser. Some features will not work properly.',
    'message_form_group_empty' => 'No fields available.',
    'link_filters' => 'Filters',
    'stats_view_more' => 'View more',
    'preview_view_more' => 'View more',
    'title_select_subclass' => 'Select object type',
    'no_subclass_available' => 'No object types available',
    'label_unknown_user' => 'unknown',
    'read_more' => 'Read more',
    'read_less' => 'Close',
    'toggle_navigation' => 'Toggle Navigation',
    'label_type_starts_with' => 'starts with',
    'label_type_ends_with' => 'ends with',
    'go_to_the_first_page' => 'Go to the first page',
  ),
  'SonataUserBundle' => 
  array (
    'title_user_registration' => 'Register',
    'title_user_account' => 'User Profile',
    'title_user_edit_profile' => 'Edit',
    'title_user_authentication' => 'Authentication',
    'sonata_user_submit' => 'Submit',
    'breadcrumb.link_user_list' => 'Users',
    'breadcrumb.link_user_create' => 'Create',
    'breadcrumb.link_user_edit' => 'Edit',
    'breadcrumb.link_user_delete' => 'Delete',
    'users' => 'Users',
    'show.group_users' => 'Users',
    'switch_user_exit' => 'Exit impersonating mode',
    'switch_user' => 'Impersonate User',
    'user_block_logout' => 'Logout',
    'user_block_profile' => 'Profile',
    'form.label_username' => 'Username',
    'form.label_email' => 'E-Mail-Address',
    'form.label_plain_password' => 'Plain password',
    'form.label_roles' => 'Roles',
    'form.label_locked' => 'Locked',
    'form.label_expired' => 'Expired',
    'form.label_enabled' => 'Enabled',
    'form.label_credentials_expired' => 'Credentials expired',
    'form.label_created_at' => 'Created at',
    'form.label_last_login' => 'Last login',
    'form.label_name' => 'Name',
    'filter.label_username' => 'Username',
    'filter.label_name' => 'Name',
    'filter.label_email' => 'E-Mail-Address',
    'filter.label_locked' => 'Locked',
    'filter.label_id' => 'ID',
    'filter.label_enabled' => 'Active',
    'filter.label_created_at' => 'Created at',
    'filter.label_last_login' => 'Last login',
    'filter.label_firstname' => 'Firstname',
    'filter.label_lastname' => 'Lastname',
    'filter.label_roles' => 'Roles',
    'list.label_username' => 'Username',
    'list.label_name' => 'Name',
    'list.label_email' => 'E-Mail-Address',
    'list.label_locked' => 'Locked',
    'list.label_enabled' => 'Enabled',
    'list.label_created_at' => 'Created at',
    'list.label_last_login' => 'Last login',
    'list.label_impersonating' => 'Impersonate User',
    'form.group_roles' => 'Roles',
    'list.label_firstname' => 'Firstname',
    'list.label_lastname' => 'Lastname',
    'label_two_step_code' => 'Two-step verification',
    'message_two_step_code_help' => 'Enter the verification code generated by your mobile application.',
    'label_two_step_code_error' => 'The verification code is not valid',
    'sonata_user' => 'Users',
    'form.group_general' => 'General',
    'form_management' => 'Management',
    'form_status' => 'Status',
    'field.label_roles_editable' => 'Roles',
    'form.label_date_of_birth' => 'Date of birth',
    'form.label_firstname' => 'Firstname',
    'form.label_lastname' => 'Lastname',
    'form.label_website' => 'Website',
    'form.label_biography' => 'Biography',
    'form.label_gender' => 'Gender',
    'form.label_locale' => 'Locale',
    'form.label_timezone' => 'Timezone',
    'form.label_phone' => 'Phone',
    'form.label_facebook_uid' => 'Facebook Uid',
    'form.label_facebook_name' => 'Facebook Name',
    'form.label_twitter_uid' => 'Twitter Uid',
    'form.label_twitter_name' => 'Twitter Name',
    'form.label_gplus_uid' => 'Google+ Uid',
    'form.label_gplus_name' => 'Google+ Name',
    'form.label_token' => 'Token',
    'form.label_two_step_verification_code' => 'Two Step Verification Code',
    'show.label_username' => 'Username',
    'show.label_email' => 'Email',
    'show.label_date_of_birth' => 'Date of birth',
    'show.label_firstname' => 'Firstname',
    'show.label_lastname' => 'Lastname',
    'show.label_website' => 'Website',
    'show.label_biography' => 'Biography',
    'show.label_gender' => 'Gender',
    'show.label_locale' => 'Locale',
    'show.label_timezone' => 'Timezone',
    'show.label_phone' => 'Phone',
    'show.label_facebook_uid' => 'Facebook Uid',
    'show.label_facebook_name' => 'Facebook Name',
    'show.label_twitter_uid' => 'Twitter Uid',
    'show.label_twitter_name' => 'Twitter Name',
    'show.label_gplus_uid' => 'Google+ Uid',
    'show.label_gplus_name' => 'Google+ Name',
    'show.label_token' => 'Token',
    'show.label_two_step_verification_code' => 'Two Step Verification Code',
    'show.label_created_at' => 'Created at',
    'show.label_last_login' => 'Last login',
    'breadcrumb.link_user_show' => 'Show',
    'gender_unknown' => 'unknown',
    'gender_female' => 'female',
    'gender_male' => 'male',
    'sonata_profile_title' => 'Dashboard',
    'link_show_profile' => 'Dashboard',
    'link_edit_profile' => 'Profile',
    'title_user_edit_authentication' => 'Authentication',
    'link_edit_authentication' => 'Authentication',
    'label_profile_gender' => 'Gender',
    'label_profile_firstname' => 'Firstname',
    'label_profile_lastname' => 'Lastname',
    'label_profile_website' => 'Website',
    'label_profile_dob' => 'Date of birth',
    'label_profile_biography' => 'Biography',
    'label_profile_locale' => 'Locale',
    'label_profile_timezone' => 'Timezone',
    'label_profile_phone' => 'Phone',
    'profile.flash.updated' => 'Your profile has been updated.',
    'sonata_change_password_link' => 'Change your password',
    'link_register' => 'Register',
    'link_login' => 'Log In',
    'link_logout' => 'Log out',
    'registration.flash.user_created' => 'Your account has been created successfully!',
    'forgotten_password' => 'Forgotten password?',
    'sonata_user_profile_breadcrumb_index' => 'Dashboard',
    'sonata_user_profile_breadcrumb_edit' => 'Edit profile',
    'sonata_user_already_authenticated' => 'You are already logged in',
    'security.login.username' => 'Username',
    'security.login.password' => 'Password',
    'form.username' => 'Username',
    'form.email' => 'Email',
    'form.password' => 'Password',
    'form.password_confirmation' => 'Verification',
    'title_user_edit_password' => 'Change password',
    'title_user_resetting' => 'Request password',
    'title_user_resetting_reset' => 'Reset password',
    'qr_code_secret' => 'QR-code secret',
    'qr_go_next' => 'I scanned it. Move on.',
    'security.login.remember_me' => 'Remember me',
    'security.login.submit' => 'Log in',
    'resetting.request.username' => 'Username or email address',
    'resetting.request.submit' => 'Reset password',
    'resetting.check_email' => '
          An email has been sent. It contains a link you must click to reset your password.
          Note: You can only request a new password once within %tokenLifetime% hours.

          If you don\'t get an email check your spam folder or try again.
        ',
    'resetting.email.subject' => 'Reset Password',
    'resetting.email.message' => '
          Hello %username%!

          To reset your password - please visit %confirmationUrl%

          Regards,
          the Team.
        ',
    'resetting.reset.submit' => 'Change password',
    'resetting.flash.success' => 'The password has been reset successfully.',
    'form.new_password' => 'New password',
    'form.new_password_confirmation' => 'Repeat new password',
  ),
  'SonataMediaBundle' => 
  array (
    'default' => 'Default',
    'media' => 'Media',
    'gallery' => 'Gallery',
    'sonata_media' => 'Media Library',
    'no_provider_available' => 'No provider available',
    'title_select_provider' => 'Select media provider',
    'breadcrumb.link_media_create' => 'Create',
    'breadcrumb.link_media_list' => 'Media',
    'breadcrumb.link_media_edit' => 'Edit',
    'breadcrumb.link_media_view' => 'View',
    'breadcrumb.link_media_delete' => 'Delete',
    'breadcrumb.link_gallery_create' => 'Create',
    'breadcrumb.link_media_show' => 'Show',
    'breadcrumb.link_gallery_list' => 'Galleries',
    'breadcrumb.link_gallery_edit' => 'Edit',
    'breadcrumb.link_gallery_delete' => 'Delete',
    'description.roles_download_strategy' => 'The media can be retrieved by users with the following roles : %roles%.',
    'description.public_download_strategy' => 'The media can be retrieved by anyone.',
    'description.forbidden_download_strategy' => 'The media can be retrieved by nobody.',
    'description.session_download_strategy' => 'The media can be retrieved one time per session.|The media can be retrieved %times% times per session.',
    'filter.label_name' => 'Name',
    'filter.label_provider_reference' => 'Provider Reference',
    'filter.label_enabled' => 'Enabled',
    'filter.label_context' => 'Context',
    'filter.label_provider_name' => 'Provider Name',
    'filter.label_category' => 'Category',
    'filter.label_author_name' => 'Author name',
    'filter.label_width' => 'Width',
    'filter.label_height' => 'Height',
    'filter.label_content_type' => 'Content type',
    'form.label_enabled' => 'Enabled',
    'form.label_media' => 'Media',
    'form.label_position' => 'Position',
    'form.label_context' => 'Context',
    'form.label_name' => 'Name',
    'form.label_default_format' => 'Format',
    'form.label_gallery_items' => 'Media',
    'form.label_author_name' => 'Author',
    'form.label_cdn_is_flushable' => 'Flush CDN',
    'form.label_description' => 'Description',
    'form.label_copyright' => 'Copyright',
    'form.label_binary_content' => 'File/Reference',
    'label.size' => 'Size',
    'label.length' => 'Length',
    'label.width' => 'Width',
    'label.height' => 'Height',
    'label.content_type' => 'Content type',
    'label.copyright' => 'Copyright',
    'label.author_name' => 'Author',
    'label.cdn' => 'CDN',
    'label.to_be_flushed' => 'Flushable',
    'label.flushed_at' => 'Flushed at',
    'label.public_url' => 'Public URL',
    'label.name' => 'Name',
    'label.file' => 'File',
    'label.author' => 'Author',
    'label.enabled' => 'Enabled',
    'label.cdn_is_flushable' => 'Flush CDN',
    'label.cdn_flush_identifier' => 'CDN flush identifier',
    'label.video_reference' => 'Change video',
    'label.description' => 'Description',
    'label.select_context' => 'Context: ',
    'label.select_provider' => 'Type : ',
    'label.protected_download_url' => 'Protected URL',
    'label.protected_download_url_notice' => 'Warning',
    'link.all_providers' => 'All',
    'link.test_protected_url' => 'Link Preview',
    'list.label_enabled' => 'Enabled',
    'list.label_name' => 'Name',
    'list.label_author_name' => 'Author name',
    'list.label_context' => 'Context',
    'list.label_default_format' => 'Format',
    'list.label__action' => 'Action',
    'list.label_custom' => 'Custom',
    'list.label_author' => 'Author',
    'sidemenu.link_edit_media' => 'Edit',
    'sidemenu.link_media_view' => 'View',
    'sonata.media.provider.dailymotion' => 'DailyMotion',
    'sonata.media.provider.youtube' => 'YouTube',
    'sonata.media.provider.vimeo' => 'Vimeo',
    'sonata.media.provider.image' => 'Image',
    'sonata.media.provider.file' => 'File',
    'sonata.media.provider.dailymotion.description' => 'Add a video hosted on DailyMotion',
    'sonata.media.provider.youtube.description' => 'Add a video hosted on YouTube',
    'sonata.media.provider.vimeo.description' => 'Add a video hosted on Vimeo',
    'sonata.media.provider.image.description' => 'Add an image',
    'sonata.media.provider.file.description' => 'Add any type of file',
    'title.media_preview' => 'Preview',
    'title.media_thumbnail' => 'Thumbnail',
    'title.informations' => 'Information',
    'title.formats' => 'Formats',
    'link_media' => 'Link the object to a new media',
    'no_linked_media' => 'No media linked to the object',
    'widget_label_type' => 'Type',
    'widget_label_context' => 'Context',
    'widget_headline_information' => 'Information',
    'widget_label_unlink' => 'Remove',
    'widget_label_binary_content' => 'File',
    'sonata_media_gallery_index' => 'Gallery',
    'list.label_description' => 'Description',
    'list.label_size' => 'Size',
    'warning_no_category' => 'No category defined',
    'form.label_category' => 'Category',
    'form.label_provider_reference' => 'Provider Reference',
    'sonata.media.block.media' => 'Media',
    'sonata.media.block.feature_media' => 'Feature media',
    'sonata.media.block.gallery' => 'Media gallery',
    'form.label_title' => 'Title',
    'form.label_content' => 'Content',
    'form.label_orientation' => 'Orientation',
    'form.label_gallery' => 'Gallery',
    'form.label_format' => 'Format',
    'form.label_pause_time' => 'Pause time',
    'form.label_start_paused' => 'Start paused',
    'form.label_orientation_left' => 'Left',
    'form.label_orientation_right' => 'Right',
    'sonata.media.block.gallery_list' => 'Gallery list',
    'label_gallery_enabled' => 'Enabled',
    'label_gallery_disabled' => 'Disabled',
    'no_galleries_found' => 'No galleries found.',
    'view_all_galleries' => 'View all galleries',
    'form.label_mode' => 'Mode',
    'form.label_number' => 'Number',
    'form.label_order' => 'Order',
    'form.label_order_name' => 'Name',
    'form.label_order_created_at' => 'Created at',
    'form.label_order_updated_at' => 'Updated at',
    'form.label_sort' => 'Sort',
    'form.label_sort_asc' => 'Ascending',
    'form.label_sort_desc' => 'Descending',
    'form.label_mode_public' => 'Public',
    'form.label_mode_admin' => 'Admin',
    'form.label_class' => 'CSS class',
    'form.label_translation_domain' => 'Translation domain',
    'form.label_icon' => 'Icon',
    'error.image_too_small' => 'Image too small, it requires size %min_width% x %min_height% as minimum.',
    'form.group_media' => 'Media',
    'form.group_gallery' => 'Gallery',
    'form.group_options' => 'Options',
  ),
));
$catalogueEs->addFallbackCatalogue($catalogueEn);

return $catalogue;
